<?php

/*
*	Admin screen functions
*
* 	@version	1.0
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

function anemos_eutf_admin_menu(){
	if ( current_user_can( 'edit_theme_options' ) ) {
		add_menu_page( 'Anemos', 'Anemos', 'edit_theme_options', 'anemos', 'anemos_eutf_admin_page_welcome', get_template_directory_uri() .'/includes/images/adminmenu/theme.png', 4 );
		add_submenu_page( 'anemos', esc_html__('Welcome','anemos'), esc_html__('Welcome','anemos'), 'edit_theme_options', 'anemos', 'anemos_eutf_admin_page_welcome' );
		add_submenu_page( 'anemos', esc_html__('Status','anemos'), esc_html__('Status','anemos'), 'edit_theme_options', 'anemos-status', 'anemos_eutf_admin_page_status' );
		add_submenu_page( 'anemos', esc_html__( 'Custom Sidebars', 'anemos' ), esc_html__( 'Custom Sidebars', 'anemos' ), 'edit_theme_options','anemos-sidebars','anemos_eutf_admin_page_sidebars');
		add_submenu_page( 'anemos', esc_html__( 'Import Demos', 'anemos' ), esc_html__( 'Import Demos', 'anemos' ), 'edit_theme_options','anemos-import','anemos_eutf_admin_page_import');
	}
}

add_action( 'admin_menu', 'anemos_eutf_admin_menu' );


function anemos_eutf_tgmpa_plugins_links(){
	anemos_eutf_print_admin_links('plugins');
}
add_action( 'anemos_eutf_before_tgmpa_plugins', 'anemos_eutf_tgmpa_plugins_links' );

function anemos_eutf_admin_page_welcome(){
	require_once get_template_directory() . '/includes/admin/pages/eut-admin-page-welcome.php';
}
function anemos_eutf_admin_page_status(){
	require_once get_template_directory() . '/includes/admin/pages/eut-admin-page-status.php';
}
function anemos_eutf_admin_page_sidebars(){
	require_once get_template_directory() . '/includes/admin/pages/eut-admin-page-sidebars.php';
}
function anemos_eutf_admin_page_import(){
	require_once get_template_directory() . '/includes/admin/pages/eut-admin-page-import.php';
}

function anemos_eutf_print_admin_links( $active_tab = 'status' ) {
?>
<h2 class="nav-tab-wrapper">
	<a href="?page=anemos" class="nav-tab <?php echo 'welcome' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Welcome','anemos'); ?></a>
	<a href="?page=anemos-status" class="nav-tab <?php echo 'status' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Status','anemos'); ?></a>
	<a href="?page=anemos-sidebars" class="nav-tab <?php echo 'sidebars' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Custom Sidebars','anemos'); ?></a>
	<a href="?page=anemos-import" class="nav-tab <?php echo 'import' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Import Demos','anemos'); ?></a>
	<a href="?page=anemos-tgmpa-install-plugins" class="nav-tab <?php echo 'plugins' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Theme Plugins','anemos'); ?></a>
	<?php do_action( 'anemos_eutf_admin_links', $active_tab ); ?>
</h2>
<?php
}

//Omit closing PHP tag to avoid accidental whitespace output errors.