<?php

/*
 *	Excerpt functions
 *
 * 	@version	1.0
 * 	@author		Euthemians Team
 * 	@URI		http://euthemians.com
 */


 /**
 * Custom excerpt
 */
if ( !function_exists('anemos_eutf_excerpt') ) {
	function anemos_eutf_excerpt( $limit, $more = '0' ) {
		global $post;
		$post_id = $post->ID;
		$excerpt = "";

		if ( has_excerpt( $post_id ) ) {
			if ( 0 != $limit ) {
				$excerpt = $post->post_excerpt;
				$excerpt = apply_filters('the_excerpt', $excerpt);
			}
			if ( '1' == $more ) {
				$excerpt .= anemos_eutf_read_more( $post_id );
			}
		} else {
			$content = get_the_content('');
			$content = do_shortcode( $content );
			$content = apply_filters('the_content', $content);
			$content = str_replace(']]>', ']]>', $content);
			if ( 0 != $limit ) {
				$excerpt = '<p>' . wp_trim_words( $content, $limit ) . '</p>';
			}
			if ( '1' == $more ) {
				$excerpt .= anemos_eutf_read_more( $post_id );
			}
		}
		return	$excerpt;
	}
}

if ( !function_exists('anemos_eutf_quote_excerpt') ) {
	function anemos_eutf_quote_excerpt( $limit ) {
		global $post;
		$post_id = $post->ID;
		$excerpt = "";

		$content = anemos_eutf_post_meta( '_anemos_eutf_post_quote_text' );
		if( is_single() ){
			$excerpt = '<p>' . wp_kses_post( $content ) . '</p>';
		} else {
			if ( 0 != $limit ) {
				$excerpt = '<p>' . wp_trim_words( $content, $limit ) . '</p>';
			}
		}

		return	$excerpt;
	}
}

 /**
 * Custom more
 */
if ( !function_exists('anemos_eutf_read_more') ) {
	function anemos_eutf_read_more( $post_id = "" ) {
		if ( empty( $post_id ) ) {
			global $post;
			$post_id = $post->ID;
		}
		$more_button = '<a class="eut-read-more eut-link-text" href="' . esc_url( get_permalink( $post_id ) ) . '"><span>' . esc_html__( 'read more', 'anemos' ) . '</span></a>';
		return $more_button;
	}
}

//Omit closing PHP tag to avoid accidental whitespace output errors.
