<?php
/**
 *  Typography options
 * 	@author		Euthemians Team
 * 	@URI		http://euthemians.com
 */

function anemos_eutf_print_typography_responsive( $anemos_eutf_responsive_fonts = array() , $threshold = 35, $ratio = 0.7) {

	$css = '';

	if ( !empty( $anemos_eutf_responsive_fonts ) && $ratio < 1 ) {

		foreach ( $anemos_eutf_responsive_fonts as $font ) {
			$anemos_eutf_size = anemos_eutf_option( $font['id'], '32px', 'font-size'  );
			$anemos_eutf_size = filter_var( $anemos_eutf_size, FILTER_SANITIZE_NUMBER_INT );
			if ( $anemos_eutf_size >= $threshold ) {
				$line_height = anemos_eutf_option( $font['id'], '32px', 'line-height'  );
				$line_height = filter_var( $line_height, FILTER_SANITIZE_NUMBER_INT );

				$line_height = $line_height / $anemos_eutf_size;
				$anemos_eutf_size = $anemos_eutf_size * $ratio;

				if ( 'link_text' == $font['id'] ) {
					$css .= $font['selector'] . " {
						font-size: " . $anemos_eutf_size . "px !important;
						line-height: " . round( $line_height, 2 ) . "em;
					}
					";
				} else {
					$css .= $font['selector'] . " {
						font-size: " . $anemos_eutf_size . "px;
						line-height: " . round( $line_height, 2 ) . "em;
					}
					";
				}
			}
		}

	}

	return $css;
}

//Omit closing PHP tag to avoid accidental whitespace output errors.
