<?php
/*
*	Euthemians Visual Composer Shortcode helper functions
*
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

function anemos_eutf_vc_social_elements_visibility() {
	$visibility = apply_filters( 'anemos_eutf_vc_social_elements_visibility', false );
	return $visibility;
}
function anemos_eutf_vc_wp_elements_visibility() {
	$visibility = apply_filters( 'anemos_eutf_vc_wp_elements_visibility', false );
	return $visibility;
}
function anemos_eutf_vc_grid_visibility() {
	$visibility = anemos_eutf_visibility( 'vc_grid_visibility' );
	$visibility = apply_filters( 'anemos_eutf_vc_grid_visibility', $visibility );
	return $visibility;
}
function anemos_eutf_vc_charts_visibility() {
	$visibility = anemos_eutf_visibility( 'vc_charts_visibility' );
	$visibility = apply_filters( 'anemos_eutf_vc_charts_visibility', $visibility );
	return $visibility;
}
function anemos_eutf_vc_other_elements_visibility() {
	$visibility = apply_filters( 'anemos_eutf_vc_other_elements_visibility', false );
	return $visibility;
}

function anemos_eutf_build_shortcode_img_style( $bg_image = '' , $bg_image_type = '' ) {

	$style = '';

	if((int)$bg_image > 0 && ($attachment_src = wp_get_attachment_image_src( $bg_image, 'anemos-eutf-fullscreen' )) !== false) {

		$image_url = $attachment_src[0];
		$style .= "background-image: url(".$image_url.");";
		return ' style="'.$style.'"';
	}

}

function anemos_eutf_vc_shortcode_img_url( $bg_image = '' , $bg_image_size = '' ) {
	if((int)$bg_image > 0 && ($attachment_src = wp_get_attachment_image_src( $bg_image, 'anemos-eutf-fullscreen' )) !== false) {
		$image_url = $attachment_src[0];
	} else {
		$image_url = '';
	}
	return $image_url;
}

function anemos_eutf_vc_shortcode_custom_css_class( $param_value, $prefix = '' ) {
	$css_class = preg_match( '/\s*\.([^\{]+)\s*\{\s*([^\}]+)\s*\}\s*/', $param_value ) ? $prefix . preg_replace( '/\s*\.([^\{]+)\s*\{\s*([^\}]+)\s*\}\s*/', '$1', $param_value ) : '';
	return $css_class;
}

function anemos_eutf_build_shortcode_style( $item = array() ) {


	$bg_color = anemos_eutf_array_value( $item, 'bg_color' );
	$font_color = anemos_eutf_array_value( $item, 'font_color' );
	$padding_top = anemos_eutf_array_value( $item, 'padding_top');
	$padding_bottom = anemos_eutf_array_value( $item, 'padding_bottom' );
	$margin_bottom = anemos_eutf_array_value( $item, 'margin_bottom' );

	$style = '';

	if(!empty($bg_color)) {
		$style .= anemos_eutf_get_css_color( 'background-color', $bg_color );
	}

	if( !empty($font_color) ) {
		$style .= anemos_eutf_get_css_color( 'color', $font_color );
	}
	if( $padding_top != '' ) {
		$style .= 'padding-top: '.(preg_match('/(px|em|\%|pt|cm)$/', $padding_top) ? $padding_top : $padding_top.'px').';';
	}
	if( $padding_bottom != '' ) {
		$style .= 'padding-bottom: '.(preg_match('/(px|em|\%|pt|cm)$/', $padding_bottom) ? $padding_bottom : $padding_bottom.'px').';';
	}
	if( $margin_bottom != '' ) {
		$style .= 'margin-bottom: '.(preg_match('/(px|em|\%|pt|cm)$/', $margin_bottom) ? $margin_bottom : $margin_bottom.'px').';';
	}
	return empty($style) ? $style : ' style="'.$style.'"';
}



if ( !anemos_eutf_vc_grid_visibility() ) {

	//Remove Builder Grid Menu
	function anemos_eutf_remove_vc_menu_items( ){
		remove_menu_page( 'edit.php?post_type=vc_grid_item' );
		remove_submenu_page( 'vc-general', 'edit.php?post_type=vc_grid_item' );
	}
	add_filter( 'admin_menu', 'anemos_eutf_remove_vc_menu_items' );

	//Remove grid element shortcodes
	function anemos_eutf_vc_remove_shortcodes_from_vc_grid_element( $shortcodes ) {
		unset( $shortcodes['vc_icon'] );
		unset( $shortcodes['vc_button2'] );
		unset( $shortcodes['vc_btn'] );
		unset( $shortcodes['vc_custom_heading'] );
		unset( $shortcodes['vc_single_image'] );
		unset( $shortcodes['vc_empty_space'] );
		unset( $shortcodes['vc_separator'] );
		unset( $shortcodes['vc_text_separator'] );
		unset( $shortcodes['vc_gitem_post_title'] );
		unset( $shortcodes['vc_gitem_post_excerpt'] );
		unset( $shortcodes['vc_gitem_post_date'] );
		unset( $shortcodes['vc_gitem_image'] );
		unset( $shortcodes['vc_gitem_post_meta'] );

	  return $shortcodes;
	}
	add_filter( 'vc_grid_item_shortcodes', 'anemos_eutf_vc_remove_shortcodes_from_vc_grid_element', 100 );
}
//Remove all default templates.
add_filter( 'vc_load_default_templates', 'anemos_eutf_remove_custom_template_array' );
function anemos_eutf_remove_custom_template_array( $data ) {
	return array();
}

/**
 * VC Disable Updater Functions
 */
function anemos_eutf_vc_disable_updater_dialog() {

	$auto_updater = anemos_eutf_visibility( 'vc_auto_updater' );
	if( !$auto_updater ) {
		global $vc_manager;

		if ( $vc_manager && method_exists( $vc_manager , 'disableUpdater' ) ) {
			$vc_manager->disableUpdater( true );
		}
	}
}
add_action( 'vc_before_init', 'anemos_eutf_vc_disable_updater_dialog', 9 );


function anemos_eutf_vc_updater_notification() {
	echo "<br>" .
		esc_html__( 'Note: In every new release of the Theme the latest compatible version of Page Builder is included.', 'anemos' ) .
		" " .
		sprintf( '<a href="//docs.euthemians.com/tutorials/bundled-plugins/" target="_blank" rel="noopener noreferrer">%s</a>', esc_html__( 'Theme Bundled Plugins', 'anemos' ) );
}

function anemos_eutf_vc_license_tab_notice() {
	$auto_updater = anemos_eutf_visibility( 'vc_auto_updater' );
	if( $auto_updater ) {
		$screen = get_current_screen();
		if ( 'visual-composer_page_vc-updater' == $screen->id ) {
			echo '<div class="error"><p><strong>'. esc_html__( 'Activating Page Builder plugin is optional and NOT required for the functionality of the Theme. In every new release of the Theme the latest compatible version of Page Builder is included.', 'anemos' ) .'</strong></p></div>';
		}
	}
}
add_action( 'admin_notices', 'anemos_eutf_vc_license_tab_notice' );

//Omit closing PHP tag to avoid accidental whitespace output errors.
