<?php
/**
*	Theme Options Config File
*	@version	1.0
*
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

if ( !class_exists( "Redux" ) ) {
	return;
}

function anemos_eutf_redux_dimensions_validation( $field, $value, $existing_value ) {
	$error = false;

	if ( empty( $value['width'] ) || !is_numeric( $value['width'] ) ) {
		$error = true;
	}
	if ( empty( $value['height'] ) || !is_numeric( $value['height'] ) ) {
		$error = true;
	}

	if ( $error == true ) {
		$value = $existing_value;
		$field['msg'] = esc_html__( 'You must provide a numerical value for both options.', 'anemos' );
	}

	$return['value'] = $value;
	if ( $error == true ) {
		$return['error'] = $field;
	}
	return $return;

}

if (!class_exists("Anemos_EUTF_Redux_Framework_config")) {

	class Anemos_EUTF_Redux_Framework_config {

		public $args = array();
		public $sections = array();
		public $theme;
		public $ReduxFramework;

		public function __construct() {
			$opt_name = 'anemos_eutf_options';
			$this->setArguments( $opt_name );
			Redux::set_args( $opt_name, $this->args );

			$this->setSections( $opt_name );
		}

		public function anemos_eutf_redux_customizer_visibility() {
			$visibility = apply_filters( 'anemos_eutf_redux_customizer_visibility', false );
			return $visibility;
		}

		public function setSections( $opt_name ) {

			/**
			 * Used within different fields. Simply examples. Search for ACTUAL DECLARATION for field examples
			 * */
			global $anemos_eutf_social_list, $anemos_eutf_button_type_selection, $anemos_eutf_button_shape_selection, $anemos_eutf_button_color_selection, $anemos_eutf_area_height;

			$anemos_eutf_social_options = $anemos_eutf_social_list;

			$anemos_eutf_post_social_options = array(
				'email' => esc_html__( 'E-mail', 'anemos' ),
				'twitter' => 'Twitter',
				'facebook' => 'Facebook',
				'linkedin' => 'LinkedIn',
				'reddit' => 'reddit',
				'eut-likes' => '(Euthemians) Likes',
			);

			$anemos_eutf_product_social_options = array(
				'email' => esc_html__( 'E-mail', 'anemos' ),
				'twitter' => 'Twitter',
				'facebook' => 'Facebook',
				'linkedin' => 'LinkedIn',
				'reddit' => 'reddit',
				'eut-likes' => '(Euthemians) Likes',
			);

			$anemos_eutf_blog_style_selection = array(
				'large' => esc_html__( 'Large Media', 'anemos' ),
				'small' => esc_html__( 'Small Media', 'anemos' ),
				'masonry' => esc_html__( 'Masonry' , 'anemos' ),
				'grid' => esc_html__( 'Grid' , 'anemos' ),
			);

			$anemos_eutf_blog_image_mode_selection = array(
				'auto' => esc_html__( 'Auto Crop', 'anemos' ),
				'resize' => esc_html__( 'Resize', 'anemos' ),
				'large' => esc_html__( 'Resize ( Large )', 'anemos' ),
				'medium_large' => esc_html__( 'Resize ( Medium Large )', 'anemos' ),
				'medium' => esc_html__( 'Resize ( Medium )', 'anemos' ),
			);

			$anemos_eutf_masonry_image_mode_selection = array(
				'large' => esc_html__( 'Resize ( Large )', 'anemos' ),
				'medium_large' => esc_html__( 'Resize ( Medium Large )', 'anemos' ),
				'medium' => esc_html__( 'Resize ( Medium )', 'anemos' ),
			);

			$anemos_eutf_blog_columns_selection = array(
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
			);
			$anemos_eutf_blog_columns_selection_mobile = array(
				'1' => '1',
				'2' => '2',
			);
			$anemos_eutf_blog_headings_tag_selection = array(
				'auto' => esc_html__( 'Auto', 'anemos' ),
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'div'  => 'div',
			);

			$anemos_eutf_blog_headings_selection = array(
				'auto' => esc_html__( 'Auto', 'anemos' ),
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'leader-text' => esc_html__( 'Leader Text', 'anemos' ),
				'subtitle-text' => esc_html__( 'Subtitle Text', 'anemos' ),
				'small-text' => esc_html__( 'Small Text', 'anemos' ),
				'link-text' => esc_html__( 'Link Text', 'anemos' ),
			);

			$anemos_eutf_theme_layout_selection = array(
				'stretched' => esc_html__( 'Stretched', 'anemos' ),
				'boxed' => esc_html__( 'Boxed', 'anemos' ),
			);

			$anemos_eutf_layout_selection = array(
				'none' => array('alt' => esc_html__( 'Full Width', 'anemos' ), 'img' => ReduxFramework::$_url . 'assets/img/1col.png'),
				'left' => array('alt' => esc_html__( 'Left Sidebar', 'anemos' ), 'img' => ReduxFramework::$_url . 'assets/img/2cl.png'),
				'right' => array('alt' => esc_html__( 'Right Sidebar', 'anemos' ), 'img' => ReduxFramework::$_url . 'assets/img/2cr.png'),
			);

			$anemos_eutf_align_selection = array(
				'left' => esc_html__( 'Left', 'anemos' ),
				'right' => esc_html__( 'Right', 'anemos' ),
			);

			$anemos_eutf_align_selection_extra = array(
				'left' => esc_html__( 'Left', 'anemos' ),
				'center' => esc_html__( 'Center', 'anemos' ),
				'right' => esc_html__( 'Right', 'anemos' ),
			);

			$anemos_eutf_align_selection_full = array(
				'left-top' => esc_html__( 'Left Top', 'anemos' ),
				'left-center' => esc_html__( 'Left Center', 'anemos' ),
				'left-bottom' => esc_html__( 'Left Bottom', 'anemos' ),
				'center-top' => esc_html__( 'Center Top', 'anemos' ),
				'center-center' => esc_html__( 'Center Center', 'anemos' ),
				'center-bottom' => esc_html__( 'Center Bottom', 'anemos' ),
				'right-top' => esc_html__( 'Right Top', 'anemos' ),
				'right-center' => esc_html__( 'Right Center', 'anemos' ),
				'right-bottom' => esc_html__( 'Right Bottom', 'anemos' ),
			);

			$anemos_eutf_animation_selection = array(
				'fade-in' => esc_html__( 'Default', 'anemos' ),
				'fade-in-up' => esc_html__( 'Fade In Up', 'anemos' ),
				'fade-in-down' => esc_html__( 'Fade In Down', 'anemos' ),
				'fade-in-left' => esc_html__( 'Fade In Left', 'anemos' ),
				'fade-in-right' => esc_html__( 'Fade In Right', 'anemos' ),
				'zoom-in' => esc_html__( 'Zoom In', 'anemos' ),
				'zoom-out' => esc_html__( 'Zoom Out', 'anemos' ),
			);

			$anemos_eutf_title_bg_mode = array(
				'color' => esc_html__( 'Color Only', 'anemos' ),
				'featured' => esc_html__( 'Featured Image', 'anemos' ),
				'custom' => esc_html__( 'Custom Image', 'anemos' ),
			);

			$anemos_eutf_title_bg_mode_limited = array(
				'color' => esc_html__( 'Color Only', 'anemos' ),
				'custom' => esc_html__( 'Custom Image', 'anemos' ),

			);

			$anemos_eutf_background_type = array(
				'transparent' => esc_html__( 'None', 'anemos' ),
				'colored' => esc_html__( 'Background', 'anemos' ),
				'advanced' => esc_html__( 'Stretched Background', 'anemos' ),
			);

			$anemos_eutf_header_menu_options = array(
				'search' => esc_html__( 'Search', 'anemos' ),
				'form' => esc_html__( 'Contact Form (Contact Form 7 Required)', 'anemos' ),
				'language' => esc_html__( 'Language selector (WPML or Polylang Required)', 'anemos' ),
				'login' => esc_html__( 'Login', 'anemos' ),
				'social' => esc_html__( 'Social Icons', 'anemos' ),
			);
			$anemos_eutf_header_menu_options_default = array(
				'search' => false,
				'form' => false,
				'language' => false,
				'login' => false,
				'social' => false,
			);

			$anemos_eutf_header_menu_selection = array(
				'default' => esc_html__( 'Default', 'anemos' ),
				'disabled' => esc_html__( 'Disabled', 'anemos' ),
			);

			$anemos_eutf_retina_support_selection = array(
				'default' => esc_html__( 'Theme Defined Images Only', 'anemos' ),
				'full' => esc_html__( 'Full', 'anemos' ),
				'disabled' => esc_html__( 'Disabled', 'anemos' ),
			);

			$anemos_eutf_top_bar_options = array(
				'menu' => esc_html__( 'Menu (Assigned: Menus - Manage Locations)', 'anemos' ),
				'text' => esc_html__( 'Text', 'anemos' ),
				'search' => esc_html__( 'Search', 'anemos' ),
				'language' => esc_html__( 'Language selector (WPML or Polylang Required)', 'anemos' ),
				'form' => esc_html__( 'Contact Form (Contact Form 7 Required)', 'anemos' ),
				'login' => esc_html__( 'Login', 'anemos' ),
				'social' => esc_html__( 'Social Icons', 'anemos' ),
			);
			$anemos_eutf_top_bar_options_default = array(
				'menu' => false,
				'text' => false,
				'search' => false,
				'language' => false,
				'form' => false,
				'login' => false,
				'social' => false,
			);

			$anemos_eutf_menu_animations = array(
				'none' => esc_html__( 'None', 'anemos' ),
				'fade-in' => esc_html__( 'Fade in', 'anemos' ),
				'fade-in-up' => esc_html__( 'Fade in Up', 'anemos' ),
				'fade-in-down' => esc_html__( 'Fade in Down', 'anemos' ),
				'fade-in-left' => esc_html__( 'Fade in Left', 'anemos' ),
				'fade-in-right' => esc_html__( 'Fade in Right', 'anemos' ),
			);
			$anemos_eutf_menu_pointers = array(
				'none' => esc_html__( 'None', 'anemos' ),
				'arrow' => esc_html__( 'Arrow', 'anemos' ),
			);

			$anemos_eutf_color_selection = array(
				'dark' => esc_html__( 'Dark', 'anemos' ),
				'light' => esc_html__( 'Light', 'anemos' ),
				'primary-1' => esc_html__( 'Primary 1', 'anemos' ),
				'primary-2' => esc_html__( 'Primary 2', 'anemos' ),
				'primary-3' => esc_html__( 'Primary 3', 'anemos' ),
				'primary-4' => esc_html__( 'Primary 4', 'anemos' ),
				'primary-5' => esc_html__( 'Primary 5', 'anemos' ),
			);
			$anemos_eutf_color_selection_extra = array(
				'dark' => esc_html__( 'Dark', 'anemos' ),
				'light' => esc_html__( 'Light', 'anemos' ),
				'primary-1' => esc_html__( 'Primary 1', 'anemos' ),
				'primary-2' => esc_html__( 'Primary 2', 'anemos' ),
				'primary-3' => esc_html__( 'Primary 3', 'anemos' ),
				'primary-4' => esc_html__( 'Primary 4', 'anemos' ),
				'primary-5' => esc_html__( 'Primary 5', 'anemos' ),
				'custom' => esc_html__( 'Custom', 'anemos' ),
			);

			$anemos_eutf_bg_color_selection = array(
				'none' => esc_html__( 'None', 'anemos' ),
				'dark' => esc_html__( 'Dark', 'anemos' ),
				'light' => esc_html__( 'Light', 'anemos' ),
				'primary-1' => esc_html__( 'Primary 1', 'anemos' ),
				'primary-2' => esc_html__( 'Primary 2', 'anemos' ),
				'primary-3' => esc_html__( 'Primary 3', 'anemos' ),
				'primary-4' => esc_html__( 'Primary 4', 'anemos' ),
				'primary-5' => esc_html__( 'Primary 5', 'anemos' ),
			);

			$anemos_eutf_bg_color_selection_extra = array(
				'none' => esc_html__( 'None', 'anemos' ),
				'dark' => esc_html__( 'Dark', 'anemos' ),
				'light' => esc_html__( 'Light', 'anemos' ),
				'primary-1' => esc_html__( 'Primary 1', 'anemos' ),
				'primary-2' => esc_html__( 'Primary 2', 'anemos' ),
				'primary-3' => esc_html__( 'Primary 3', 'anemos' ),
				'primary-4' => esc_html__( 'Primary 4', 'anemos' ),
				'primary-5' => esc_html__( 'Primary 5', 'anemos' ),
				'custom' => esc_html__( 'Custom', 'anemos' ),
			);

			$anemos_eutf_header_style = array(
				'default' => esc_html__( 'Default', 'anemos' ),
				'dark' => esc_html__( 'Dark', 'anemos' ),
				'light' => esc_html__( 'Light', 'anemos' ),
			);

			$anemos_eutf_title_style = array(
				'advanced' => esc_html__( 'Advanced Title', 'anemos' ),
				'simple' => esc_html__( 'Simple Title', 'anemos' ),
			);

			$anemos_eutf_enable_selection = array(
				'no' => esc_html__( 'No', 'anemos' ),
				'yes' => esc_html__( 'Yes', 'anemos' ),
			);

			$anemos_eutf_menu_responsibe_style_selection = array(
				'1' => esc_html__( 'Style 1', 'anemos' ),
				'2' => esc_html__( 'Style 2', 'anemos' ),
			);

			$anemos_eutf_menu_responsibe_toggle_selection = array(
				'icon' => esc_html__( 'Icon', 'anemos' ),
				'text' => esc_html__( 'Text', 'anemos' ),
			);

			$anemos_eutf_footer_column_selection = array(
				'footer-1' => array('alt' => esc_html__( 'Footer 1', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-1.png' ),
				'footer-2' => array('alt' => esc_html__( 'Footer 2', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-2.png' ),
				'footer-3' => array('alt' => esc_html__( 'Footer 3', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-3.png' ),
				'footer-4' => array('alt' => esc_html__( 'Footer 4', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-4.png' ),
				'footer-5' => array('alt' => esc_html__( 'Footer 5', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-5.png' ),
				'footer-6' => array('alt' => esc_html__( 'Footer 6', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-6.png' ),
				'footer-7' => array('alt' => esc_html__( 'Footer 7', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-7.png' ),
				'footer-8' => array('alt' => esc_html__( 'Footer 8', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-8.png' ),
				'footer-9' => array('alt' => esc_html__( 'Footer 9', 'anemos' ), 'img' => get_template_directory_uri() . '/includes/images/footer/footer-9.png' ),
			);

			$anemos_eutf_opacity_selection = array(
				'0'    => '0%',
				'0.05' => '5%',
				'0.10' => '10%',
				'0.15' => '15%',
				'0.20' => '20%',
				'0.25' => '25%',
				'0.30' => '30%',
				'0.35' => '35%',
				'0.40' => '40%',
				'0.45' => '45%',
				'0.50' => '50%',
				'0.55' => '55%',
				'0.60' => '60%',
				'0.65' => '65%',
				'0.70' => '70%',
				'0.75' => '75%',
				'0.80' => '80%',
				'0.85' => '85%',
				'0.90' => '90%',
				'0.95' => '95%',
				'1'    => '100%',
			);
			$anemos_eutf_ratio_selection = array(
				'0'    => '0%',
				'0.05' => '5%',
				'0.1'  => '10%',
				'0.15' => '15%',
				'0.2'  => '20%',
				'0.25' => '25%',
				'0.3'  => '30%',
				'0.35' => '35%',
				'0.4'  => '40%',
				'0.45' => '45%',
				'0.5'  => '50%',
				'0.55' => '55%',
				'0.6'  => '60%',
				'0.65' => '65%',
				'0.7'  => '70%',
				'0.75' => '75%',
				'0.8'  => '80%',
				'0.85'  => '85%',
				'0.9'  => '90%',
				'0.95' => '95%',
				'1'    => '100%',
			);

			$anemos_eutf_headings_tag_selection = array(
				'div' => 'div',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
			);

			$anemos_eutf_headings_selection = array(
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'leader-text' => esc_html__( 'Leader Text', 'anemos' ),
				'subtitle-text' => esc_html__( 'Subtitle Text', 'anemos' ),
				'small-text' => esc_html__( 'Small Text', 'anemos' ),
				'link-text' => esc_html__( 'Link Text', 'anemos' ),
			);

			$anemos_eutf_pattern_selection = array(
				'none' => esc_html__( 'No', 'anemos' ),
				'default' => esc_html__( 'Yes', 'anemos' ),
			);

			//Standard Fonts
			$anemos_eutf_std_fonts = array(
				"Arial, Helvetica, sans-serif"                         => "Arial, Helvetica, sans-serif",
				"'Arial Black', Gadget, sans-serif"                    => "'Arial Black', Gadget, sans-serif",
				"'Bookman Old Style', serif"                           => "'Bookman Old Style', serif",
				"'Comic Sans MS', cursive"                             => "'Comic Sans MS', cursive",
				"Courier, monospace"                                   => "Courier, monospace",
				"Garamond, serif"                                      => "Garamond, serif",
				"Georgia, serif"                                       => "Georgia, serif",
				"Impact, Charcoal, sans-serif"                         => "Impact, Charcoal, sans-serif",
				"'Lucida Console', Monaco, monospace"                  => "'Lucida Console', Monaco, monospace",
				"'Lucida Sans Unicode', 'Lucida Grande', sans-serif"   => "'Lucida Sans Unicode', 'Lucida Grande', sans-serif",
				"'MS Sans Serif', Geneva, sans-serif"                  => "'MS Sans Serif', Geneva, sans-serif",
				"'MS Serif', 'New York', sans-serif"                   => "'MS Serif', 'New York', sans-serif",
				"'Palatino Linotype', 'Book Antiqua', Palatino, serif" => "'Palatino Linotype', 'Book Antiqua', Palatino, serif",
				"Tahoma,Geneva, sans-serif"                            => "Tahoma, Geneva, sans-serif",
				"'Times New Roman', Times,serif"                       => "'Times New Roman', Times, serif",
				"'Trebuchet MS', Helvetica, sans-serif"                => "'Trebuchet MS', Helvetica, sans-serif",
				"Verdana, Geneva, sans-serif"                          => "Verdana, Geneva, sans-serif",
			);
			$anemos_eutf_std_fonts = apply_filters( 'anemos_eutf_std_fonts', $anemos_eutf_std_fonts );

			$anemos_eutf_feature_section_post_types_selection = array(
				'page'   => esc_html__( 'Pages', 'anemos' ),
				'post'   => esc_html__( 'Posts', 'anemos' ),
			);

			//Skin Presets
			$anemos_eutf_skin_palette_1 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#f50057","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#f50057","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#f50057","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#f50057","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#f50057","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#f50057","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#f50057","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#f50057","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#f50057","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#f50057","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#f50057","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#f50057","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#f50057","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#f50057","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#f50057","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#f50057","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#f50057","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#f50057","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#f50057","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#f50057","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#f50057","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#f50057","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#f50057","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#f50057","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';
			$anemos_eutf_skin_palette_2 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#03a9f4","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#03a9f4","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#03a9f4","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#03a9f4","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#03a9f4","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#03a9f4","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#03a9f4","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#03a9f4","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#03a9f4","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#03a9f4","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#03a9f4","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#03a9f4","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#03a9f4","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#03a9f4","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#03a9f4","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#03a9f4","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#03a9f4","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#03a9f4","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#03a9f4","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#03a9f4","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#03a9f4","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#03a9f4","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#03a9f4","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#03a9f4","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';
			$anemos_eutf_skin_palette_3 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#f1b144","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#f1b144","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#f1b144","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#f1b144","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#f1b144","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#f1b144","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#f1b144","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#f1b144","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#f1b144","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#f1b144","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#f1b144","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#f1b144","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#f1b144","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#f1b144","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#f1b144","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#f1b144","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#f1b144","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#f1b144","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#f1b144","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#f1b144","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#f1b144","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#f1b144","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#f1b144","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#f1b144","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';
			$anemos_eutf_skin_palette_4 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#97c945","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#97c945","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#97c945","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#97c945","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#97c945","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#97c945","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#97c945","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#97c945","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#97c945","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#97c945","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#97c945","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#97c945","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#97c945","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#97c945","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#97c945","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#97c945","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#97c945","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#97c945","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#97c945","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#97c945","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#97c945","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#97c945","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#97c945","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#97c945","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';
			$anemos_eutf_skin_palette_5 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#8e24aa","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#8e24aa","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#8e24aa","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#8e24aa","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#8e24aa","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#8e24aa","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#8e24aa","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#8e24aa","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#8e24aa","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#8e24aa","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#8e24aa","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#8e24aa","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#8e24aa","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#8e24aa","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#8e24aa","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#8e24aa","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#8e24aa","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#8e24aa","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#8e24aa","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#8e24aa","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#8e24aa","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#8e24aa","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#8e24aa","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#8e24aa","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';
			$anemos_eutf_skin_palette_6 = '{"body_background":{"background-color":"#111213"},"top_bar_bg_color":"#ffffff","top_bar_font_color":"#777777","top_bar_link_color":"#777777","top_bar_hover_color":"#304ffe","default_header_background_color":"#ffffff","default_header_background_color_opacity":"1","default_header_border_color":"#d8d8d8","default_header_border_color_opacity":"1","default_header_menu_text_color":"#000000","default_header_menu_text_hover_color":"#304ffe","default_header_menu_type_color":"#eef1f6","default_header_menu_type_color_hover":"#304ffe","default_header_submenu_bg_color":"#ffffff","default_header_submenu_text_color":"#777777","default_header_submenu_text_hover_color":"#304ffe","default_header_submenu_text_bg_hover_color":"#ffffff","default_header_submenu_column_text_color":"#000000","default_header_submenu_column_text_hover_color":"#304ffe","default_header_submenu_border_color":"#e0e0e0","logo_top_header_logo_area_background_color":"#ffffff","logo_top_header_logo_area_background_color_opacity":"1","logo_top_header_border_color":"#000000","logo_top_header_border_color_opacity":"0.10","logo_top_header_menu_area_background_color":"#ffffff","logo_top_header_menu_area_background_color_opacity":"1","logo_top_header_menu_text_color":"#000000","logo_top_header_menu_text_hover_color":"#304ffe","logo_top_header_menu_type_color":"#eef1f6","logo_top_header_menu_type_color_hover":"#304ffe","logo_top_header_submenu_bg_color":"#ffffff","logo_top_header_submenu_text_color":"#777777","logo_top_header_submenu_text_hover_color":"#304ffe","logo_top_header_submenu_text_bg_hover_color":"#ffffff","logo_top_header_submenu_column_text_color":"#000000","logo_top_header_submenu_column_text_hover_color":"#304ffe","logo_top_header_submenu_border_color":"#eef1f6","side_header_background_color":"#f7f7f7","side_header_background_color_opacity":"1","side_header_menu_text_color":"#000000","side_header_menu_text_hover_color":"#304ffe","side_header_submenu_text_color":"#000000","side_header_submenu_text_hover_color":"#304ffe","side_header_border_color":"#323232","side_header_border_opacity":"0.10","header_sticky_background_color":"#ffffff","header_sticky_background_color_opacity":"1","header_sticky_border_color":"#d8d8d8","header_sticky_border_color_opacity":"1","sticky_menu_text_color":"#000000","sticky_menu_text_hover_color":"#304ffe","header_sticky_menu_type_color":"#eef1f6","header_sticky_menu_type_color_hover":"#eef1f6","light_menu_text_hover_color":"#304ffe","light_menu_type_color_hover":"#eef1f6","light_header_border_color":"#ffffff","light_header_border_color_opacity":"0.30","dark_menu_text_hover_color":"#304ffe","dark_menu_type_color_hover":"#eef1f6","dark_header_border_color":"#000000","dark_header_border_color_opacity":"0.10","responsive_header_background_color":"#ffffff","responsive_header_background_opacity":"1","responsive_header_elements_color":"#000000","responsive_header_elements_hover_color":"#304ffe","responsive_menu_background_color":"#ffffff","responsive_menu_link_color":"#777777","responsive_menu_link_hover_color":"#304ffe","responsive_menu_close_btn_color":"#777777","responsive_menu_border_color":"#d8d8d8","responsive_menu_overflow_background_color":"#000000","responsive_menu_overflow_background_color_opacity":"0.90","page_anchor_menu_background_color":"#111213","page_anchor_menu_text_color":"#ffffff","page_anchor_menu_text_hover_color":"#304ffe","page_anchor_menu_background_hover_color":"#111213","page_anchor_menu_border_color":"#2e2f30","main_content_background_color":"#ffffff","body_heading_color":"#000000","body_text_color":"#4f4f4f","body_text_link_color":"#000000","body_text_link_hover_color":"#304ffe","body_border_color":"#d8d8d8","widget_title_color":"#ffffff","widget_title_background_color":"#171a1d","body_primary_1_color":"#304ffe","body_primary_2_color":"#044475","body_primary_3_color":"#487F84","body_primary_4_color":"#5F597E","body_primary_5_color":"#d6ccad","blog_title_bg_color":"dark","blog_title_bg_color_custom":"#000000","blog_title_content_bg_color":"light","blog_title_content_bg_color_custom":"#ffffff","blog_title_color":"dark","blog_title_color_custom":"#000000","blog_description_color":"dark","blog_description_color_custom":"#000000","post_title_bg_color":"dark","post_title_bg_color_custom":"#000000","post_title_content_bg_color":"light","post_title_content_bg_color_custom":"#ffffff","post_subheading_color":"dark","post_subheading_color_custom":"#000000","post_title_color":"dark","post_title_color_custom":"#000000","post_description_color":"dark","post_description_color_custom":"#000000","page_title_bg_color":"dark","page_title_bg_color_custom":"#000000","page_title_content_bg_color":"light","page_title_content_bg_color_custom":"#ffffff","page_title_color":"dark","page_title_color_custom":"#000000","page_description_color":"dark","page_description_color_custom":"#000000","search_page_title_bg_color":"dark","search_page_title_bg_color_custom":"#000000","search_page_title_content_bg_color":"light","search_page_title_content_bg_color_custom":"#ffffff","search_page_title_color":"dark","search_page_title_color_custom":"#000000","search_page_description_color":"dark","search_page_description_color_custom":"#000000","bottom_bar_background_color":"#212325","bottom_bar_text_color":"#ffffff","bottom_bar_link_color":"#ffffff","bottom_bar_link_hover_color":"#304ffe","bottom_bar_border_color":"#3c3e40","footer_widgets_bg_color":"#111213","footer_widgets_headings_color":"#ffffff","footer_widgets_font_color":"#ffffff","footer_widgets_link_color":"#ffffff","footer_widgets_hover_color":"#304ffe","footer_widgets_border_color":"#2e2f30","footer_bar_bg_color":"#111213","footer_bar_bg_color_opacity":"1","footer_bar_font_color":"#b8b8b9","footer_bar_link_color":"#b8b8b9","footer_bar_hover_color":"#304ffe","page_breadcrumbs_background_color":"#ffffff","page_breadcrumbs_text_color":"#6e6e6e","page_breadcrumbs_text_hover_color":"#304ffe","page_breadcrumbs_divider_color":"#b2b2b2","page_breadcrumbs_border_color":"#e0e0e0","sliding_area_background_color":"#232323","sliding_area_title_color":"#ffffff","sliding_area_text_color":"#777777","sliding_area_link_color":"#777777","sliding_area_link_hover_color":"#304ffe","sliding_area_close_btn_color":"#777777","sliding_area_border_color":"#3e3e3e","sliding_area_overflow_background_color":"#ffffff","sliding_area_overflow_background_color_opacity":"0.90","modal_title_color":"#000000","modal_text_color":"#777777","modal_close_btn_color":"#000000","modal_border_color":"#eef1f6","modal_overflow_background_color":"#ffffff","modal_overflow_background_color_opacity":"1","redux-backup":1}';

			$gmap_api_key_link = '<a href="//developers.google.com/maps/documentation/javascript/get-api-key" target="_blank" rel="noopener noreferrer">' . esc_html__( 'Generate Google Map API Key', 'anemos' ) . '</a>';
			$anemos_gmap_style_link = '<a href="//mapstyle.withgoogle.com/" target="_blank" rel="noopener noreferrer">' . esc_html__( 'Styling Wizard Google Maps API.', 'anemos' ) . '</a>';
			$regenerate_link = '<a href="//wordpress.org/plugins/regenerate-thumbnails/" target="_blank" rel="noopener noreferrer">' . esc_html__( 'regenerate your thumbnails', 'anemos' ) . '</a>';

			$anemos_is_google = apply_filters( 'anemos_eutf_gfonts_visibility', true );
			
			$editor_args = array (
				'wpautop' => false,
				'tinymce' => array (
					'forced_root_block' => false,
					'wpautop' => false,
				)
			);			

			// ACTUAL DECLARATION OF SECTIONS

			$this->sections[] = array(
				'icon' => 'el-icon-cogs',
				'title' => esc_html__( 'General Settings', 'anemos' ),
				'id' => 'eut_redux_section_general_settings',
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'theme_layout',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Theme Layout', 'anemos' ),
						'subtitle' => esc_html__( 'Select between Streched or Boxed for the theme basic Layout.', 'anemos' ),
						'options' => $anemos_eutf_theme_layout_selection,
						'default' => 'stretched',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'boxed_size',
						'type' => 'text',
						'default' => '1220',
						'title' => esc_html__( 'Theme Wrapper Size', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Theme Wrapper width in px (Default is 1220).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'theme_layout', 'equals', 'boxed' ),
					),
					array(
						'id' => 'container_size',
						'type' => 'text',
						'default' => '1170',
						'title' => esc_html__( 'Container Size', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Container width in px (Default is 1170).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id'       => 'body_background',
						'type'     => 'background',
						'title'    => esc_html__( 'Theme Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the theme.', 'anemos' ),
						'background-color' => true,
						'transparent' => false,
						'background-repeat' => true,
						'background-attachment' => true,
						'background-clip' => false,
						'background-size' => true,
						'output'    => '#eut-body',
						'default' => array (
							'background-color' => '#111213',
						),
					),
					array(
						'id'=>'theme_loader',
						'type' => 'switch',
						'title' => esc_html__( 'Theme Loader', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable Theme Loader.', 'anemos' ),
						'default' => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'replace_admin_logo',
						'type' => 'checkbox',
						'title' => esc_html__( 'Replace Admin Logo', 'anemos' ),
						'subtitle'=> esc_html__( 'Check the box beside to replace the backend admin logo with your company logo.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id'       => 'admin_logo',
						'type'     => 'media',
						'title' => esc_html__( 'Admin Logo', 'anemos' ),
						'subtitle' => esc_html__( 'Select the image for your company logo. ( If empty, Logo Default will be used instead )', 'anemos' ),
						'required' => array( 'replace_admin_logo', 'equals', '1' ),
					),
					array(
						'id' => 'admin_logo_height',
						'type' => 'text',
						'default' => '84',
						'title' => esc_html__( 'Admin Logo Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the company logo height in px (Default is 84).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'replace_admin_logo', 'equals', '1' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Logos', 'anemos' ),
				'id' => 'eut_redux_section_logos',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-photo',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'logo',
						'url' => true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Default Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-default.png', 'width' => '530', 'height' => '140' ),
						'subtitle' => esc_html__( 'Upload the logo for the Default Header.', 'anemos' ),
					),
					array(
						'id' => 'logo_light',
						'url'=> true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Light Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-light.png', 'width' => '530', 'height' => '140' ),
						'subtitle' => esc_html__( 'Upload the logo for the Light Header.', 'anemos' ),
					),
					array(
						'id' => 'logo_dark',
						'url' => true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Dark Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-dark.png', 'width' => '530', 'height' => '140' ),
						'subtitle' => esc_html__( 'Upload the logo for the Dark Header.', 'anemos' ),
					),
					array(
						'id' => 'logo_side',
						'url' => true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Side Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-side.png', 'width' => '530', 'height' => '140' ),
						'subtitle' => esc_html__( 'Upload the logo for the Side Header.', 'anemos' ),
					),
					array(
						'id' => 'logo_sticky',
						'url'=> true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Sticky Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-sticky.png', 'width' => '530', 'height' => '140' ),
						'subtitle' => esc_html__( 'Upload the logo for the Sticky Header.', 'anemos' ),
					),
					array(
						'id' => 'logo_responsive',
						'url' => true,
						'type' => 'media',
						'title' => esc_html__( 'Logo Responsive Header', 'anemos' ),
						'read-only' => false,
						'default' => array( 'url' => get_template_directory_uri() .'/images/logos/logo-responsive.png', 'width' => '210', 'height' => '40' ),
						'subtitle' => esc_html__( 'Upload the logo for the Responsive Header.', 'anemos' ),
					),
				)
			);
			$this->sections[] = array(
				'title' => esc_html__( 'Top Bar Options', 'anemos' ),
				'id' => 'eut_redux_section_top_bar_options',
				'header' => '',
				'desc' => esc_html__( 'You can enable the TopBar area, just above the Header, in order to add various elements in two different positions, left and right.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-arrow-up',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'=>'top_bar_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Top Bar Area', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the TopBar Area, the area just above your header.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'             => 'top_bar_spacing',
						'type'           => 'spacing',
						'output'         => array('#eut-top-bar .eut-wrapper'),
						'mode'           => 'padding',
						'units'          => 'px',
						'units_extended' => 'false',
						'left'           => 'false',
						'right'          => 'false',
						'title'          => esc_html__( 'Top Bar Spacing', 'anemos' ),
						'subtitle'       => esc_html__( 'Set the spacing, Top and Bottom, of the TopBar Area.', 'anemos' ),
						'desc'           => esc_html__( 'Set spacing Top, Bottom in px.', 'anemos'),
						'default'        => array(
							'padding-top'     => '15px',
							'padding-bottom'  => '15px',
							'units'           => 'px',
						),
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'top_bar_section_type',
						'type' => 'select',
						'title' => esc_html__( 'Top Bar Full Width', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you prefer a full-width Top Bar Area.', 'anemos' ),
						'options' => array(
							'fullwidth-background' => esc_html__( 'No', 'anemos' ),
							'fullwidth-element' => esc_html__( 'Yes', 'anemos' ),
						),
						'default' => 'fullwidth-background',
						'validate' => 'not_empty',
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id'   => 'info_top_bar_left',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Left Top Bar Area', 'anemos' ),
						'desc' => esc_html__( 'In side navigation mode, Left Top Bar Area is shown first.', 'anemos' ),
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'top_bar_left_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Left Area', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Left TopBar Area.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'top_bar_left_options',
						'type' => 'sortable',
						'mode' => 'checkbox',
						'title' => esc_html__( 'Left Area Elements', 'anemos' ),
						'subtitle' => esc_html__( 'Enable or Disable the elements you like to show in the Left TopBar Area.', 'anemos' ),
						'options' => $anemos_eutf_top_bar_options,
						'default' => $anemos_eutf_top_bar_options_default,
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_left_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_left_text',
						'type' => 'text',
						'title' => esc_html__( 'Left Area Text', 'anemos' ),
						'subtitle' => esc_html__( 'Place the text you wish for your Left TopBar Area.', 'anemos' ),
						'default' => '',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_left_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_left_form',
						'type' => 'select',
						'title' => esc_html__( 'Left Area Form', 'anemos' ),
						'subtitle' => esc_html__( 'Select the form for your Contact Form.', 'anemos' ),
						'data' => 'posts',
						'args' => array( 'post_type' => 'wpcf7_contact_form', 'numberposts' => -1 ),
						'default' => '',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_left_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_left_social_options',
						'type' => 'checkbox',
						'title' => esc_html__( 'Left Area Social Icons', 'anemos' ),
						'subtitle' => esc_html__( 'Select your social icons. Social URLs are configured from Theme Options - Social Media', 'anemos' ),
						'desc' => '',
						'label' => true,
						'options' => $anemos_eutf_social_options,
						'class' => 'eut-redux-columns',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_left_enabled', 'equals', '1' ),
						),
					),
					array(
						'id'   => 'info_top_bar_right',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Right Top Bar Area', 'anemos' ),
						'desc' => esc_html__( 'In side navigation mode, Right Top Bar Area is shown second.', 'anemos' ),
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'top_bar_right_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Right Area', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Right TopBar Area.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'top_bar_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'top_bar_right_options',
						'type' => 'sortable',
						'mode' => 'checkbox',
						'title' => esc_html__( 'Right Area Elements', 'anemos' ),
						'subtitle' => esc_html__( 'Enable or Disable the elements you like to show in the Right TopBar Area.', 'anemos' ),
						'options' => $anemos_eutf_top_bar_options,
						'default' => $anemos_eutf_top_bar_options_default,
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_right_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_right_text',
						'type' => 'text',
						'title' => esc_html__( 'Right Area Text', 'anemos' ),
						'subtitle' => esc_html__( 'Place the text you wish for your Right TopBar Area.', 'anemos' ),
						'default' => '',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_right_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_right_form',
						'type' => 'select',
						'title' => esc_html__( 'Right Area Form', 'anemos' ),
						'subtitle' => esc_html__( 'Select the form for your Contact Form.', 'anemos' ),
						'data' => 'posts',
						'args' => array( 'post_type' => 'wpcf7_contact_form', 'numberposts' => -1 ),
						'default' => '',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_right_enabled', 'equals', '1' ),
						),
					),
					array(
						'id' => 'top_bar_right_social_options',
						'type' => 'checkbox',
						'title' => esc_html__( 'Right Area Social Icons', 'anemos' ),
						'subtitle' => esc_html__( 'Select your social icons. Social URLs are configured from Theme Options - Social Media', 'anemos' ),
						'label' => true,
						'options' => $anemos_eutf_social_options,
						'class' => 'eut-redux-columns',
						'required' => array(
							array( 'top_bar_enabled', 'equals', '1' ),
							array( 'top_bar_right_enabled', 'equals', '1' ),
						),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Header Options', 'anemos' ),
				'id' => 'eut_redux_section_header_options',
				'header' => '',
				'desc' => esc_html__( 'Here you can set your preferences for the Theme Header(Logo, Menu and Menu Elements). Notice that most of the options below depend on your first selection where you have to select among Default, Logo on Top or Side Navigation Header.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-screen',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'=>'header_mode',
						'type' => 'button_set',
						'title' => esc_html__( 'Header Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your Header Mode. keep in mind that this is one of the most important options for the appearance of your site. Your selection here will determine the following section options.', 'anemos' ),
						'options' => array(
							'default' => esc_html__( 'Default', 'anemos' ),
							'logo-top' => esc_html__( 'Logo on Top', 'anemos' ),
							'side' => esc_html__( 'Side', 'anemos' ),
						),
						'default' => 'default',
					),
					array(
						'id' => 'header_height',
						'type' => 'text',
						'default' => '90',
						'title' => esc_html__( 'Header Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Header height in px (Default is 90).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'default' ),
					),
					array(
						'id' => 'header_side_width',
						'type' => 'text',
						'default' => '300',
						'title' => esc_html__( 'Header Width', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Header Width in px (Default is 300).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id'             => 'header_side_spacing',
						'type'           => 'spacing',
						'output'         => array('#eut-main-header.eut-header-side .eut-content, #eut-main-header.eut-header-side .eut-header-elements-wrapper'),
						'mode'           => 'padding',
						'units'          => 'px',
						'units_extended' => 'false',
						'top'           => 'false',
						'bottom'          => 'false',
						'title'          => esc_html__( 'Spacing', 'anemos' ),
						'subtitle'       => esc_html__( 'Set the spacings for the content of the Header.', 'anemos' ),
						'desc'           => esc_html__( 'Set spacing Right, Left in px.', 'anemos'),
						'default'        => array(
							'padding-left'     => '30px',
							'padding-right'  => '30px',
							'units'           => 'px',
						),
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id'       => 'header_side_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Header Background, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode_limited,
						'default'  => 'color',
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id'       => 'header_side_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the header.', 'anemos' ),
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_side_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'header_side_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_side_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'header_side_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_side_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'header_side_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_side_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'header_side_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_side_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'header_fullwidth',
						'type' => 'checkbox',
						'title' => esc_html__( 'Full Width', 'anemos' ),
						'subtitle'=> esc_html__( 'Check the box beside if you want to have full width Header.', 'anemos' ),
						'default' => 1,
						'required' => array( 'header_mode', '!=', 'side' ),
					),
					array(
						'id'   => 'info_logo_default_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Logo Options for the Default Header', 'anemos' ),
						'required' => array( 'header_mode', 'equals', 'default' ),
					),
					array(
						'id' => 'logo_height',
						'type' => 'text',
						'default' => '35',
						'title' => esc_html__( 'Logo Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Logo height in px (Default is 35).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'default' ),
					),
					array(
						'id'   => 'info_logo_ontop_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Logo Options for the Logo on Top Header', 'anemos' ),
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id' => 'header_top_logo_height',
						'type' => 'text',
						'default' => '70',
						'title' => esc_html__( 'Logo Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Logo height in px (Default is 30).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id' => 'header_top_height',
						'type' => 'text',
						'default' => '180',
						'title' => esc_html__( 'Logo Area Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Logo Area Height in px (Default is 120).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id' => 'header_top_logo_align',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Logo Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Align your Logo as you wish.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'center',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id'   => 'info_logo_side_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Logo Options for the Side Header', 'anemos' ),
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id' => 'header_side_logo_height',
						'type' => 'text',
						'default' => '50',
						'title' => esc_html__( 'Logo Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Logo Height in px (Default is 30).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id' => 'header_side_logo_align',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Logo Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Align your Logo as you wish.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'center',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id'             => 'header_side_logo_spacing',
						'type'           => 'spacing',
						'output'         => array('#eut-main-header.eut-header-side .eut-logo'),
						'mode'           => 'padding',
						'units'          => array('em', 'px', '%'),
						'units_extended' => 'false',
						'left'           => 'false',
						'right'          => 'false',
						'title'          => esc_html__( 'Spacing', 'anemos' ),
						'subtitle'       => esc_html__( 'Set the spacings of the Logo.', 'anemos' ),
						'desc'           => esc_html__( 'Set spacing Top, Bottom in px.', 'anemos'),
						'default'        => array(
							'padding-top'     => '100px',
							'padding-bottom'  => '100px',
							'units'           => 'px',
						),
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id'   => 'info_menu_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Menu Options', 'anemos' ),
					),
					array(
						'id' => 'menu_type',
						'type' => 'select',
						'title' => esc_html__( 'Menu Type', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the type of the Main Menu.', 'anemos' ),
						'options' => array(
							'classic' => esc_html__( 'Classic', 'anemos' ),
							'button' => esc_html__( 'Button Style', 'anemos' ),
							'underline' => esc_html__( 'Underline', 'anemos' ),
							'hidden' => esc_html__( 'Hidden', 'anemos' ),
						),
						'default' => 'classic',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'default' ),
					),
					array(
						'id' => 'menu_align',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Menu Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Align your Menu as you wish.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'right',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'default' ),
						'required' => array( 'menu_type', '!=', 'hidden' ),
					),
					array(
						'id' => 'header_bottom_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Menu Area Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Menu Area Height in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id' => 'header_top_logo_menu_type',
						'type' => 'select',
						'title' => esc_html__( 'Menu Type', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the type of the Main Menu.', 'anemos' ),
						'options' => array(
							'classic' => esc_html__( 'Classic', 'anemos' ),
							'button' => esc_html__( 'Button Style', 'anemos' ),
							'underline' => esc_html__( 'Underline', 'anemos' ),
							'hidden' => esc_html__( 'Hidden', 'anemos' ),
						),
						'default' => 'classic',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
					),
					array(
						'id' => 'header_top_menu_align',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Menu Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Align your Menu as you wish.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'center',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'logo-top' ),
						'required' => array( 'header_top_logo_menu_type', '!=', 'hidden' ),
					),
					array(
						'id' => 'submenu_pointer',
						'type' => 'select',
						'title' => esc_html__( 'Sub Menu Pointer', 'anemos' ),
						'subtitle'=> esc_html__( 'Choose pointer for the submenu.', 'anemos' ),
						'options' => $anemos_eutf_menu_pointers,
						'default' => 'none',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', '!=', 'side' ),
					),
					array(
						'id' => 'header_menu_open_type',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Menu Type', 'anemos' ),
						'subtitle' => esc_html__( 'Select your menu type.', 'anemos' ),
						'options' => array(
							'toggle' => esc_html__( 'Toggle', 'anemos' ),
							'slide' => esc_html__( 'Slide', 'anemos' ),
						),
						'default' => 'toggle',
						'validate' => 'not_empty',
						'required' => array( 'header_mode', 'equals', 'side' ),
					),
					array(
						'id' => 'header_side_menu_align',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Menu Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Align your Menu as you wish.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'center',
						'validate' => 'not_empty',
						'required' => array(
							array( 'header_mode', 'equals', 'side' ),
							array( 'header_menu_open_type', 'equals', 'toggle' ),
						),

					),
					array(
						'id'   => 'info_menu_elements',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Menu Elements Options', 'anemos' ),
					),
					array(
						'id'=>'header_menu_options_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Menu Elements', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or disable the use of various elements in your header like socials, search, language selector and Contact Form.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'header_menu_options',
						'type' => 'sortable',
						'mode' => 'checkbox',
						'title' => esc_html__( 'Menu Elements Options', 'anemos' ),
						'subtitle' => esc_html__( 'Enable / Disable various menu elements options.', 'anemos' ),
						'options' => $anemos_eutf_header_menu_options,
						'default' => $anemos_eutf_header_menu_options_default,
						'required' => array( 'header_menu_options_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'header_menu_form',
						'type' => 'select',
						'title' => esc_html__( 'Menu Form', 'anemos' ),
						'subtitle' => esc_html__( 'Select the form for your Contact Form.', 'anemos' ),
						'data' => 'posts',
						'args' => array( 'post_type' => 'wpcf7_contact_form', 'numberposts' => -1 ),
						'default' => '',
						'required' => array( 'header_menu_options_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'header_menu_social_mode',
						'type' => 'select',
						'title' => esc_html__( 'Menu Social Icons Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select how you want to display your social icons single or modal.', 'anemos' ),
						'options' => array(
							'modal' => esc_html__( 'Modal Popup', 'anemos' ),
							'single' => esc_html__( 'Single Social Icons', 'anemos' ),
						),
						"default" => 'modal',
						'required' => array( 'header_menu_options_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'header_menu_social_options',
						'type' => 'checkbox',
						'title' => esc_html__( 'Menu Social Icons', 'anemos' ),
						'subtitle' => esc_html__( 'Select the social icons.', 'anemos' ),
						'desc' => '',
						'label' => true,
						'options' => $anemos_eutf_social_options,
						'class' => 'eut-redux-columns',
						'required' => array( 'header_menu_options_enabled', 'equals', '1' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Sticky Header Options', 'anemos' ),
				'id' => 'eut_redux_section_sticky_header_options',
				'header' => '',
				'desc' => esc_html__( 'You can enable the Sticky Header option if you want to provide constant access to the Header elements while visitors scroll down the page. These settings will not affect if you select the Side Header Mode in Theme Options > Header Options.', 'anemos' ),
				'submenu' => true,
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-screen',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'header_sticky_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Sticky Header', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Sticky Header option.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'header_sticky_type',
						'type' => 'select',
						'title' => esc_html__( 'Sticky Header Type', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the type of the Sticky Header.', 'anemos' ),
						'options' => array(
							'simple' => esc_html__( 'Simple', 'anemos' ),
							'shrink' => esc_html__( 'Shrink', 'anemos' ),
							'advanced' => esc_html__( 'Advanced Shrink', 'anemos' ),
							'anemos' => esc_html__( 'Anemos Sticky', 'anemos' ),
						),
						'default' => 'simple',
						'validate' => 'not_empty',
						'required' => array( 'header_sticky_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'header_sticky_shrink_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Header Shrink Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the shrink height for the Header in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array(
							array( 'header_sticky_enabled', 'equals', '1' ),
							array( 'header_sticky_type', '!=', 'simple' ),
						),
					),
					array(
						'id' => 'header_sticky_shrink_logo_height',
						'type' => 'text',
						'default' => '20',
						'title' => esc_html__( 'Logo Shrink Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the shrink height for the Logo in px (Default is 20).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array(
							array( 'header_sticky_enabled', 'equals', '1' ),
							array( 'header_sticky_type', '!=', 'simple' ),
							array( 'header_mode', 'equals', 'default' ),
						),
					),
					array(
						'id'=>'header_sticky_devices_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Devices Sticky Header', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Sticky Header on small devices ( Tablet Portrait and Mobiles ).', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Responsive Header Options', 'anemos' ),
				'id' => 'eut_redux_section_responsive_header_options',
				'header' => '',
				'desc' => esc_html__( 'Define your preferences for the responsive header. These settings will affect when the responsive header appears, below 1024px.', 'anemos' ),
				'submenu' => true,
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-screen',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'responsive_header_height',
						'type' => 'text',
						'default' => '90',
						'title' => esc_html__( 'Responsive Header Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Header height in px (Default is 90).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'responsive_header_overlapping',
						'type' => 'select',
						'title' => esc_html__( 'Responsive Header Overlapping', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want the Responsive Header overlaps the content.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'   => 'info_responsive_logo_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Logo Options for the Responsive Header', 'anemos' ),
					),
					array(
						'id' => 'responsive_logo_height',
						'type' => 'text',
						'default' => '20',
						'title' => esc_html__( 'Responsive Logo Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Logo height in px (Default is 20).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id'   => 'info_responsive_menu_options',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Responsive Menu Options', 'anemos' ),
					),
					array(
						'id' => 'menu_responsive_toggle_selection',
						'type' => 'select',
						'title' => esc_html__( 'Responsive Menu Toggle Button Selection', 'anemos' ),
						'subtitle' => esc_html__( 'Select the toggle button content for your responsive menu.', 'anemos' ),
						'options' => $anemos_eutf_menu_responsibe_toggle_selection,
						'default' => 'icon',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'menu_responsive_toggle_text',
						'type' => 'text',
						'title' => esc_html__( 'Responsive Menu Text', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the text for your responsive menu.', 'anemos' ),
						'default' => 'Menu',
						'required' => array( 'menu_responsive_toggle_selection', 'equals', 'text' ),
					),
					array(
						'id' => 'menu_responsive_open_type',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Responsive Menu Type', 'anemos' ),
						'subtitle' => esc_html__( 'Select your responsive menu type.', 'anemos' ),
						'desc' => esc_html__( "Note: This setting will also affect hidden menu.", 'anemos' ),
						'options' => array(
							'toggle' => esc_html__( 'Toggle', 'anemos' ),
							'slide' => esc_html__( 'Slide', 'anemos' ),
						),
						'default' => 'toggle',
						'validate' => 'not_empty',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-arrow-down',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Bottom Bar Options', 'anemos' ),
				'id' => 'eut_redux_section_bottom_bar_options',
				'desc' => esc_html__( 'Bottom Bar is the area that appears at the bottom of your pages. Define your preferences.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'   => 'info_bottom_bar_bar',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Bottom Bar Settings', 'anemos' ),
					),
					array(
						'id'=>'bottom_bar_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Bottom Bar Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Bottom Bar Area to add social or Form.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'bottom_bar_title',
						'type' => 'text',
						'title' => esc_html__( 'Bottom Bar Title', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the title for your bottom bar.', 'anemos' ),
						'default' => '',
						'required' => array( 'bottom_bar_visibility', 'equals', '1' ),
					),
					array(
						'id'=>'bottom_bar_socials_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Socials Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Bottom Bar Socials.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'bottom_bar_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'bottom_bar_social_options',
						'type' => 'checkbox',
						'title' => esc_html__( 'Bottom Bar Social items', 'anemos' ),
						'subtitle' => esc_html__( 'Select your social icons.', 'anemos' ),
						'desc' => '',
						'label' => true,
						'options' => $anemos_eutf_social_options,
						'class' => 'eut-redux-columns',
						'required' => array(
							array( 'bottom_bar_visibility', 'equals', '1' ),
							array( 'bottom_bar_socials_visibility', 'equals', '1' ),
						),
					),
					array(
						'id'=>'bottom_bar_form_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Form Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Bottom Bar Form.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'bottom_bar_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'bottom_bar_form',
						'type' => 'select',
						'title' => esc_html__( 'Bottom Bar Form', 'anemos' ),
						'subtitle' => esc_html__( 'Select the form for your Bottom Bar Form.', 'anemos' ),
						'data' => 'posts',
						'args' => array( 'post_type' => 'wpcf7_contact_form', 'numberposts' => -1 ),
						'default' => '',
						'required' => array(
							array( 'bottom_bar_visibility', 'equals', '1' ),
							array( 'bottom_bar_form_visibility', 'equals', '1' ),
						),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-arrow-down',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Footer Options', 'anemos' ),
				'id' => 'eut_redux_section_footer_options',
				'desc' => esc_html__( 'Footer is the area that appears at the bottom of your pages. Define your preferences.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'       => 'footer_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Footer Background, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode_limited,
						'default'  => 'color',
					),
					array(
						'id'       => 'footer_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the footer.', 'anemos' ),
						'required' => array( 'footer_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'footer_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array( 'footer_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'footer_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array( 'footer_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'footer_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array( 'footer_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'footer_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array( 'footer_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id'   => 'info_footer_widgets',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Footer Widgets Settings', 'anemos' ),
					),
					array(
						'id'=>'footer_widgets_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Footer Widgets Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Footer Area to show the widget areas of the footer.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'footer_widgets_layout',
						'type' => 'image_select',
						'compiler' => true,
						'title' => esc_html__( 'Footer Column Layout', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Footer column layout.', 'anemos' ),
						'options' => $anemos_eutf_footer_column_selection,
						'default' => 'footer-1',
						'required' => array( 'footer_widgets_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'footer_section_type',
						'type' => 'select',
						'title' => esc_html__( 'Footer Full Width', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you prefer a full-width Footer Area.', 'anemos' ),
						'options' => array(
							'fullwidth-background' => esc_html__( 'No', 'anemos' ),
							'fullwidth-element' => esc_html__( 'Yes', 'anemos' ),
						),
						'default' => 'fullwidth-background',
						'validate' => 'not_empty',
						'required' => array( 'footer_widgets_visibility', 'equals', '1' ),
					),
					array(
						'id'   => 'info_footer_bar',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Footer Bar Settings', 'anemos' ),
					),
					array(
						'id'=>'footer_bar_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Footer Bar Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Footer Bar Area to add text (copyright), bottom menu and socials.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'footer_bar_section_type',
						'type' => 'select',
						'title' => esc_html__( 'Footer Bar Full Width', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you prefer a full-width Footer Bar Area.', 'anemos' ),
						'options' => array(
							'fullwidth-background' => esc_html__( 'No', 'anemos' ),
							'fullwidth-element' => esc_html__( 'Yes', 'anemos' ),
						),
						'default' => 'fullwidth-background',
						'validate' => 'not_empty',
						'required' => array( 'footer_bar_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'footer_bar_align_center',
						'type' => 'select',
						'title' => esc_html__( 'Footer Bar Center', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if the Footer Bar elements will be centered.', 'anemos' ),
						'options' => array(
							'no' => esc_html__( 'No', 'anemos' ),
							'yes' => esc_html__( 'Yes', 'anemos' ),
						),
						'default' => 'yes',
						'validate' => 'not_empty',
						'required' => array( 'footer_bar_visibility', 'equals', '1' ),
					),
					array(
						'id'=>'footer_copyright_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Footer Copyright Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable the Footer Copyright Area. Edit it as you wish.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'footer_bar_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'footer_copyright_text',
						'type' => 'editor',
						'args' => $editor_args,
						'title' => esc_html__( 'Copyright Text', 'anemos' ),
						'subtitle' => esc_html__( 'Type your copyright text or anything else you want.', 'anemos' ),
						'default' => 'With <i class="eut-text-primary-1 fas fa-heart"></i> by <a href="//themeforest.net/user/euthemians/portfolio" target="_blank" rel="noopener noreferrer">Euthemians</a> - Premium Themes',
						'required' => array(
							array( 'footer_bar_visibility', 'equals', '1' ),
							array( 'footer_copyright_visibility', 'equals', '1' ),
						),
					),
					array(
						'id'=>'second_area_visibility',
						'type' => 'button_set',
						'title' => esc_html__( 'Second Footer Area', 'anemos' ),
						'subtitle'=> esc_html__( 'This is the second position in the Footer Bar Area. You can easily add the Bottom Menu(assigned in Appearance > Menus) or socials.', 'anemos' ),
						'options' => array(
							'1' => esc_html__( 'Hide', 'anemos' ),
							'2' => esc_html__( 'Menu', 'anemos' ),
							'3' => esc_html__( 'Socials', 'anemos' ),
						),
						'default' => '1',
						'required' => array( 'footer_bar_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'footer_social_display',
						'type' => 'select',
						'title' => esc_html__( 'Footer Social Display', 'anemos' ),
						'subtitle'=> esc_html__( 'Select how you want to display your social items.', 'anemos' ),
						'options' => array(
							'text' => esc_html__( 'Text', 'anemos' ),
							'icon' => esc_html__( 'Icons', 'anemos' ),
						),
						'default' => 'text',
						'validate' => 'not_empty',
						'required' => array(
							array( 'footer_bar_visibility', 'equals', '1' ),
							array( 'second_area_visibility', 'equals', '3' ),
						),
					),
					array(
						'id' => 'footer_social_options',
						'type' => 'checkbox',
						'title' => esc_html__( 'Footer Social items', 'anemos' ),
						'subtitle' => esc_html__( 'Select your social icons.', 'anemos' ),
						'desc' => '',
						'label' => true,
						'options' => $anemos_eutf_social_options,
						'class' => 'eut-redux-columns',
						'required' => array(
							array( 'footer_bar_visibility', 'equals', '1' ),
							array( 'second_area_visibility', 'equals', '3' ),
						),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-edit',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Blog Options', 'anemos' ),
				'id' => 'eut_redux_section_blog_options',
				'desc' => esc_html__( 'Changes here will affect the assigned blog page in case you have set a Static Page as blog page in Settings > Reading > Front Page Displays and not when you use the shortcodes to create a blog page. Also these settings will also affect on Archives / Categories / Tags overview pages.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'blog_layout',
						'type' => 'image_select',
						'compiler' => true,
						'title' => esc_html__( 'Blog Layout', 'anemos' ),
						'subtitle' => esc_html__( 'Select the layout for the assigned blog page. Choose among Full Width, Left Sidebar or Right Sidebar.', 'anemos' ),
						'options' => $anemos_eutf_layout_selection,
						'default' => 'right',
					),
					array(
						'id' => 'blog_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Blog Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the sidebar for the assigned blog page.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'blog_sidearea_visibility',
						'type' => 'select',
						'title' => esc_html__( 'Blog Sliding Area Visibility', 'anemos' ),
						'subtitle' => esc_html__( 'Enable the Blog Sliding Area for the assigned blog page.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id' => 'blog_sidearea_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Blog Sliding Area Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the sidebar widget area for the sliding area.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id'   => 'info_style_blog_settings',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Blog Style and Basic Blog Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style and basic settings for the default blog.', 'anemos' ),
					),
					array(
						'id' => 'blog_style',
						'type' => 'select',
						'title' => esc_html__( 'Blog Style', 'anemos' ),
						'subtitle' => esc_html__( 'Select the blog style', 'anemos' ),
						'options' => $anemos_eutf_blog_style_selection,
						'default' => 'large',
					),
					array(
						'id' => 'blog_mode',
						'type' => 'select',
						'title' => esc_html__( 'Blog Mode', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Blog Mode', 'anemos' ),
						'options' =>array(
							'no-shadow-mode' => esc_html__( 'Without Shadow', 'anemos' ),
							'shadow-mode' => esc_html__( 'With Shadow', 'anemos' ),
						),
						'default' => 'no-shadow-mode',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_media_area',
						'type' => 'switch',
						'title' => esc_html__( 'Blog Media Area visibility', 'anemos' ),
						'subtitle' => esc_html__( 'Select if you want to enable media area', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'blog_image_mode',
						'type' => 'select',
						'title' => esc_html__( 'Blog Image Mode', 'anemos' ),
						'subtitle' => esc_html__( 'Select your Blog Image Mode', 'anemos' ),
						'options' => $anemos_eutf_blog_image_mode_selection,
						'default' => 'auto',
						'required' => array(
							array( 'blog_style','!=', 'masonry' ),
							array( 'blog_media_area', 'equals', '1' ),
						),
					),
					array(
						'id' => 'blog_masonry_image_mode',
						'type' => 'select',
						'title' => __( 'Blog Masonry Image Mode', 'anemos' ),
						'subtitle' => __( 'Select your Blog Masonry Image Mode', 'anemos' ),
						'options' => $anemos_eutf_masonry_image_mode_selection,
						'default' => 'large',
						'required' => array(
							array( 'blog_style','equals', 'masonry' ),
							array( 'blog_media_area', 'equals', '1' ),
						),
					),
					array(
						'id' => 'blog_image_prio',
						'type' => 'select',
						'title' => esc_html__( 'Blog Featured Image Priority', 'anemos' ),
						'subtitle' => esc_html__( 'If enabled, Featured image is displayed instead of media element', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
						'required' => array( 'blog_media_area', 'equals', '1' ),
					),
					array(
						'id' => 'blog_columns_large_screen',
						'type' => 'select',
						'title' => esc_html__( 'Blog Columns Large Screens', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Blog Columns for large screens', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '5',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_columns',
						'type' => 'select',
						'title' => esc_html__( 'Blog Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Blog Columns', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '4',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_columns_tablet_landscape',
						'type' => 'select',
						'title' => esc_html__( 'Blog Tablet Landscape Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on tablet devices, landscape orientation.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '4',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_columns_tablet_portrait',
						'type' => 'select',
						'title' => esc_html__( 'Blog Tablet Portrait Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on tablet devices, portrait orientation.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '2',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_columns_mobile',
						'type' => 'select',
						'title' => esc_html__( 'Blog Mobile Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on mobile devices.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection_mobile,
						'default' => '1',
						'required' => array(
							array( 'blog_style','!=', 'large' ),
							array( 'blog_style','!=', 'small' ),
						),
					),
					array(
						'id' => 'blog_heading_tag',
						'type' => 'select',
						'title' => esc_html__( 'Blog Title Tag', 'anemos' ),
						'subtitle' => esc_html__( 'Select tag for your blog title.', 'anemos' ),
						'options' => $anemos_eutf_blog_headings_tag_selection,
						'default' => 'auto',
					),
					array(
						'id' => 'blog_heading',
						'type' => 'select',
						'title' => esc_html__( 'Blog Title Size', 'anemos' ),
						'subtitle' => esc_html__( 'Select size and typography for your blog title.', 'anemos' ),
						'options' => $anemos_eutf_blog_headings_selection,
						'default' => 'auto',
					),
					array(
						'id' => 'blog_item_spinner',
						'type' => 'select',
						'title' => esc_html__( 'Blog Loader', 'anemos' ),
						'subtitle' => esc_html__( 'If selected, this will enable a graphic spinner before load.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'=>'blog_excerpt_length_small',
						'type' => 'text',
						'default' => '30',
						'title' => esc_html__( 'Excerpt Length', 'anemos' ),
						'subtitle' => esc_html__( 'Type how many words you want to display in your post excerpts (Default is 30).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'blog_style', '!=', 'large' ),
					),
					array(
						'id' => 'blog_auto_excerpt',
						'type' => 'switch',
						'title' => esc_html__( 'Auto Excerpt', 'anemos' ),
						'subtitle'=> esc_html__( "Adds automatic excerpt to all posts. If auto excerpt is off, blog will show all content, a desired 'cut-off' can be inserted in each post with more quicktag.", 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
						'required' => array( 'blog_style', 'equals', 'large' ),
					),

					array(
						'id'=>'blog_excerpt_length',
						'type' => 'text',
						'default' => '55',
						'title' => esc_html__( 'Excerpt Length', 'anemos' ),
						'subtitle' => esc_html__( 'Type how many words you want to display in your post excerpts (Default is 55).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array(
							array( 'blog_auto_excerpt', 'equals', '1' ),
							array( 'blog_style', 'equals', 'large' ),
						),
					),
					array(
						'id' => 'blog_excerpt_more',
						'type' => 'switch',
						'title' => esc_html__( 'Read More', 'anemos' ),
						'subtitle'=> esc_html__( "Adds a read more button after the excerpt or more quicktag.", 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'blog_comments_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Comments Field Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the comments field of your blog overview.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'blog_author_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Author Field Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the author field of your blog overview.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'blog_date_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Date Field Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the date field of your blog overview.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'blog_like_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Like Field Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the like field of your blog overview.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'blog_categories_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Categories Field Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the categories field of your blog overview.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'   => 'info_style_blog_header',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Blog Header Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the default blog header.', 'anemos' ),
					),
					array(
						'id' => 'blog_header_style',
						'type' => 'select',
						'title' => esc_html__( 'Blog Header Style', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your blog header style.', 'anemos' ),
						'options' => $anemos_eutf_header_style,
						'default' => 'default',
					),
					array(
						'id' => 'blog_header_overlapping',
						'type' => 'select',
						'title' => esc_html__( 'Blog Header Overlapping', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want the Blog Header overlaps the content. Combine this option with the Light or Dark Header.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'=>'blog_title',
						'type' => 'select',
						'title' => esc_html__( 'Main Blog Title', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to use the site name and tagline as the main blog title or hide it.', 'anemos' ),
						'options' => array(
							'sitetitle' => esc_html__( 'Site Title / Tagline', 'anemos' ),
							'custom' => esc_html__( 'Custom Title / Description', 'anemos' ),
							'none' => esc_html__( 'None', 'anemos' ),
						),
						'default' => 'sitetitle',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'blog_custom_title', //translatable
						'type' => 'text',
						'default' => '',
						'title' => esc_html__( 'Custom Title', 'anemos' ),
						'subtitle' => esc_html__( 'Enter blog custom title.', 'anemos' ),
						'required' => array( 'blog_title', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_custom_description', //translatable
						'type' => 'text',
						'default' => '',
						'title' => esc_html__( 'Custom Description', 'anemos' ),
						'subtitle' => esc_html__( 'Enter blog custom description.', 'anemos' ),
						'required' => array( 'blog_title', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_title_height',
						'type' => 'select',
						'default' => '60',
						'title' => esc_html__( 'Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter blog title height in % (Default is 60).', 'anemos' ),
						'options' => $anemos_eutf_area_height,
						'validate' => 'not_empty',
					),
					array(
						'id' => 'blog_title_min_height',
						'type' => 'text',
						'default' => '200',
						'title' => esc_html__( 'Minimum Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter blog title minimum height in px (Default is 200).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'blog_title_content_position',
						'type' => 'select',
						'title' => esc_html__( 'Content Alignment', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your alignment for the default blog title/description.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'blog_title_content_animation',
						'type' => 'select',
						'title' => esc_html__( 'Content Animation', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your animation for the default blog title/description.', 'anemos' ),
						'options' => $anemos_eutf_animation_selection,
						'default' => 'fade-in-up',
						'validate' => 'not_empty',
					),
					array(
						'id'       => 'blog_title_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Background for the blog page, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode_limited,
						'default'  => 'color',
					),
					array(
						'id'       => 'blog_title_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the default blog title.', 'anemos' ),
						'required' => array( 'blog_title_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_title_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array( 'blog_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'blog_title_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array( 'blog_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'blog_title_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array( 'blog_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'blog_title_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array( 'blog_title_bg_mode', '!=', 'color' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Single Post Settings', 'anemos' ),
				'id' => 'eut_redux_section_single_post_settings',
				'header' => '',
				'desc' => esc_html__( 'Define your preferences for the Single Posts. Notice that most of them can be overridden when you create a single post.', 'anemos' ),
				'submenu' => true,
				'icon' => 'el-icon-edit',
				'icon_class' => 'el-icon-large',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'post_layout',
						'type' => 'image_select',
						'compiler' => true,
						'title' => esc_html__( 'Post Layout', 'anemos' ),
						'subtitle' => esc_html__( 'Select the layout for the Single Posts. Choose among Full Width, Left Sidebar or Right Sidebar.', 'anemos' ),
						'options' => $anemos_eutf_layout_selection,
						'default' => 'right',
					),
					array(
						'id' => 'post_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Post Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the sidebar for the Single Posts.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'post_content_width',
						'type' => 'select',
						'title' => esc_html__( 'Post Content Width', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Single Post Content width (only for Full Width Post Layout)', 'anemos' ),
						'options' => array(
							'1170' => esc_html__( 'Large' , 'anemos' ),
							'990' => esc_html__( 'Medium' , 'anemos' ),
							'760' => esc_html__( 'Small' , 'anemos' ),
						),
						'default' => '760',
					),
					array(
						'id' => 'post_sidearea_visibility',
						'type' => 'select',
						'title' => esc_html__( 'Post Sliding Area Visibility', 'anemos' ),
						'subtitle' => esc_html__( 'Enable the Post Sliding Area if you want.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id' => 'post_sidearea_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Post Sliding Area Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the sidebar widget area for the sliding area.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'post_feature_image_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Featured Image Visibility (Standard Post)', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle Featured Image on or off.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'post_feature_image_size',
						'type' => 'select',
						'title' => esc_html__( 'Featured Image Size', 'anemos' ),
						'subtitle' => esc_html__( 'Select the size of your featured image.', 'anemos' ),
						'options' => array(
							'auto' => esc_html__( 'Auto', 'anemos' ),
							'extra-extra-large' => esc_html__( 'Resize ( Extra Extra Large )', 'anemos' ),
							'large' => esc_html__( 'Resize ( Large )', 'anemos' ),
							'medium_large' => esc_html__( 'Resize ( Medium Large )', 'anemos' ),
						),
						'default' => 'auto',
						'required' => array( 'post_feature_image_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'post_tag_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Post Tags Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the post tags.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'post_category_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Post Categories Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the post categories.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'post_author_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Author Info Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Author Info field.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'post_related_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Related Posts Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the visibility of the related posts.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'post_comments_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Comments Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the comments of your single posts.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'post_bottom_bar_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Bottom Bar Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the bottom bar of your single posts.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'   => 'info_style_post_header',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Post Header Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the default post header.', 'anemos' ),
					),
					array(
						'id' => 'post_header_style',
						'type' => 'select',
						'title' => esc_html__( 'Post Header Style', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your post header style.', 'anemos' ),
						'options' => $anemos_eutf_header_style,
						'default' => 'default',
					),
					array(
						'id' => 'post_header_overlapping',
						'type' => 'select',
						'title' => esc_html__( 'Post Header Overlapping', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want the Post Header overlaps the content. Combine this option with the Light or Dark Header. You can still override this when you edit each single post.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'   => 'info_style_post_title',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Single Post Title Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the default single post title.', 'anemos' ),
					),
					array(
						'id' => 'post_title_style',
						'type' => 'select',
						'default' => 'advanced',
						'title' => esc_html__( 'Title Style', 'anemos' ),
						'subtitle' => esc_html__( 'Select Post Title Style', 'anemos' ),
						'options' => $anemos_eutf_title_style,
						'validate' => 'not_empty',
					),
					array(
						'id' => 'post_title_height',
						'type' => 'select',
						'default' => '60',
						'title' => esc_html__( 'Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter post title height in % (Default is 60).', 'anemos' ),
						'options' => $anemos_eutf_area_height,
						'validate' => 'not_empty',
						'required' => array( 'post_title_style', 'equals', 'advanced' ),
					),
					array(
						'id' => 'post_title_min_height',
						'type' => 'text',
						'default' => '200',
						'title' => esc_html__( 'Minimum Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter post title minimum height in px (Default is 200).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'post_title_style', 'equals', 'advanced' ),
					),
					array(
						'id' => 'post_title_content_position',
						'type' => 'select',
						'title' => esc_html__( 'Content Alignment', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your alignment for the default post title/description.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array( 'post_title_style', 'equals', 'advanced' ),
					),
					array(
						'id' => 'post_title_content_animation',
						'type' => 'select',
						'title' => esc_html__( 'Content Animation', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your animation for the default post title/description.', 'anemos' ),
						'options' => $anemos_eutf_animation_selection,
						'default' => 'fade-in-up',
						'validate' => 'not_empty',
						'required' => array( 'post_title_style', 'equals', 'advanced' ),
					),
					array(
						'id'       => 'post_title_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Post Title Background, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode,
						'default'  => 'color',
						'required' => array( 'post_title_style', 'equals', 'advanced' ),
					),
					array(
						'id'       => 'post_title_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the default post title.', 'anemos' ),
						'required' => array(
							array( 'post_title_style', 'equals', 'advanced' ),
							array( 'post_title_bg_mode', 'equals', 'custom' ),
						),
					),
					array(
						'id' => 'post_title_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array(
							array( 'post_title_style', 'equals', 'advanced' ),
							array( 'post_title_bg_mode', '!=', 'color' ),
						),
					),
					array(
						'id' => 'post_title_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array(
							array( 'post_title_style', 'equals', 'advanced' ),
							array( 'post_title_bg_mode', '!=', 'color' ),
						),
					),
					array(
						'id' => 'post_title_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array(
							array( 'post_title_style', 'equals', 'advanced' ),
							array( 'post_title_bg_mode', '!=', 'color' ),
						),
					),
					array(
						'id' => 'post_title_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array(
							array( 'post_title_style', 'equals', 'advanced' ),
							array( 'post_title_bg_mode', '!=', 'color' ),
						),
					),
					array(
						'id'   => 'info_style_post_anchor_menu',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Anchor Menu Bar Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Define your preferences for the Anchor Menu Bar where you can place a custom sticky menu per post.', 'anemos' ),
					),
					array(
						'id' => 'post_anchor_menu_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Anchor Menu Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter Anchor Menu height in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'post_anchor_menu_alignment',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Anchor Menu Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Select the alignment of your Anchor Menu in posts.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'left',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'post_anchor_menu_fullwidth',
						'type' => 'checkbox',
						'title' => esc_html__( 'Fullwidth', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to have full width Anchor Menu.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id' => 'post_anchor_menu_highlight_current',
						'type' => 'checkbox',
						'title' => esc_html__( 'Highlight current anchor menu', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to highlight the current items in the Anchor Menu.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id'   => 'info_style_post_breadcrumbs',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Breadcrumbs Bar Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Define your preferences for the Breadcrumbs Bar.', 'anemos' ),
					),
					array(
						'id'=>'post_breadcrumbs_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Breadcrumbs', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Breadcrumbs for Single Post / Archives / Categories / Tags.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'post_breadcrumbs_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Breadcrumbs Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter Breadcrumbs height in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'post_breadcrumbs_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'post_breadcrumbs_alignment',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Breadcrumbs Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Select the alignment of your breadcrumbs.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'left',
						'validate' => 'not_empty',
						'required' => array( 'post_breadcrumbs_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'post_breadcrumbs_fullwidth',
						'type' => 'checkbox',
						'title' => esc_html__( 'Fullwidth', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show your breadcrumbs full width.', 'anemos' ),
						'default' => 0,
						'required' => array( 'post_breadcrumbs_enabled', 'equals', '1' ),
					),

					array(
						'id'   => 'info_style_post_nav',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Navigation & Socials Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Define your preferences for the Navigation.', 'anemos' ),
					),
					array(
						'id'=>'post_nav_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Posts Navigation Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the visibility of the posts navigation.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'post_nav_same_term',
						'type' => 'checkbox',
						'title' => esc_html__( 'Post Navigation Same Term', 'anemos' ),
						'subtitle'=> esc_html__( 'If selected, only navigation items from the current taxonomy term will be displayed.', 'anemos' ),
						'default' => 0,
						'required' => array( 'post_nav_visibility', 'equals', '1' ),
					),
					array(
						'id' => 'post_social',
						'type' => 'checkbox',
						'title' => esc_html__( 'Social Share', 'anemos' ),
						'subtitle' => esc_html__( 'Enable or Disable post social shares for the Single Posts.', 'anemos' ),
						'options' => $anemos_eutf_post_social_options,
						'default' => 0,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-pencil',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Page Options', 'anemos'),
				'id' => 'eut_redux_section_page_options',
				'subtitle' => esc_html__( 'You can find the basic settings for the pages here. Almost everything can be overridden when you edit a single page.', 'anemos' ),
				'desc' => esc_html__( 'You can find the basic settings for the pages here. Almost everything can be overridden when you edit a single page.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'page_layout',
						'type' => 'image_select',
						'compiler' => true,
						'title' => esc_html__( 'Page Layout', 'anemos' ),
						'subtitle' => esc_html__( 'Select the layout for the pages. Choose among Full Width, Left Sidebar or Right Sidebar.', 'anemos' ),
						'options' => $anemos_eutf_layout_selection,
						'default' => 'none',
					),
					array(
						'id' => 'page_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Page Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the default sidebar for the pages in case you do not use full width layout.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'page_sidearea_visibility',
						'type' => 'select',
						'title' => esc_html__( 'Page Sliding Area Visibility', 'anemos' ),
						'subtitle' => esc_html__( 'Enable the Sliding Area for the pages.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id' => 'page_sidearea_sidebar',
						'type' => 'select',
						'title' => esc_html__( 'Page Sliding Area Sidebar', 'anemos' ),
						'subtitle' => esc_html__( 'Select the sidebar for the sliding area.', 'anemos' ),
						'data' => 'sidebar',
						'default' => 'eut-default-sidebar',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'page_comments_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Comments Visibility', 'anemos' ),
						'subtitle'=> esc_html__( 'Easily disable the comments for all pages.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'   => 'info_style_page_header',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Page Header Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the default page header.', 'anemos' ),
					),
					array(
						'id' => 'page_header_style',
						'type' => 'select',
						'title' => esc_html__( 'Page Header Style', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your page header style.', 'anemos' ),
						'options' => $anemos_eutf_header_style,
						'default' => 'default',
					),
					array(
						'id' => 'page_header_overlapping',
						'type' => 'select',
						'title' => esc_html__( 'Page Header Overlapping', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want the Page Header overlaps the content. Combine this option with the Light or Dark Header. You can still override this when you edit each single page.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'   => 'info_style_page_title',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Page Title Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the default page title.', 'anemos' ),
					),
					array(
						'id' => 'page_title_height',
						'type' => 'select',
						'default' => '60',
						'title' => esc_html__( 'Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter Page title height in % (Default is 60).', 'anemos' ),
						'options' => $anemos_eutf_area_height,
						'validate' => 'not_empty',
					),
					array(
						'id' => 'page_title_min_height',
						'type' => 'text',
						'default' => '200',
						'title' => esc_html__( 'Minimum Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter page title minimum height in px (Default is 200).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'page_title_content_position',
						'type' => 'select',
						'title' => esc_html__( 'Content Alignment', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your alignment for the default page title/description.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'page_title_content_animation',
						'type' => 'select',
						'title' => esc_html__( 'Content Animation', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your animation for the default page title/description.', 'anemos' ),
						'options' => $anemos_eutf_animation_selection,
						'default' => 'fade-in-up',
						'validate' => 'not_empty',
					),
					array(
						'id'       => 'page_title_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Page Title Background, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode,
						'default'  => 'color',
					),
					array(
						'id'       => 'page_title_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the default page title.', 'anemos' ),
						'required' => array( 'page_title_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'page_title_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array( 'page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'page_title_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array( 'page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'page_title_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array( 'page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'page_title_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array( 'page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id'   => 'info_style_page_anchor_menu',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Anchor Menu Bar Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Define your preferences for the Anchor Menu Bar where you can place a custom sticky menu per page.', 'anemos' ),
					),
					array(
						'id' => 'page_anchor_menu_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Anchor Menu Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter Anchor Menu height in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'page_anchor_menu_alignment',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Anchor Menu Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Select the alignment of your anchor menu.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'left',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'page_anchor_menu_fullwidth',
						'type' => 'checkbox',
						'title' => esc_html__( 'Fullwidth', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show your anchor menu full width.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id' => 'page_anchor_menu_highlight_current',
						'type' => 'checkbox',
						'title' => esc_html__( 'Highlight current anchor menu', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to highlight the current items in the Anchor Menu.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id'   => 'info_style_page_breadcrumbs',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Breadcrumbs Bar Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Define your preferences for the Breadcrumbs Bar.', 'anemos' ),
					),
					array(
						'id'=>'page_breadcrumbs_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Breadcrumbs', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Breadcrumbs for Single Page.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'page_breadcrumbs_height',
						'type' => 'text',
						'default' => '60',
						'title' => esc_html__( 'Breadcrumbs Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter Breadcrumbs height in px (Default is 60).', 'anemos' ),
						'validate' => 'numeric',
						'required' => array( 'page_breadcrumbs_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'page_breadcrumbs_alignment',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Breadcrumbs Alignment', 'anemos' ),
						'subtitle' => esc_html__( 'Select the alignment of your breadcrumbs.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_extra,
						'default' => 'left',
						'validate' => 'not_empty',
						'required' => array( 'page_breadcrumbs_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'page_breadcrumbs_fullwidth',
						'type' => 'checkbox',
						'title' => esc_html__( 'Fullwidth', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show your breadcrumbs full width.', 'anemos' ),
						'default' => 0,
						'required' => array( 'page_breadcrumbs_enabled', 'equals', '1' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-search',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Search Page Options', 'anemos'),
				'id' => 'eut_redux_section_search_page_options',
				'subtitle' => esc_html__( 'You can find the basic settings for the search page here.', 'anemos' ),
				'desc' => esc_html__( 'You can find the basic settings for the search page here.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'   => 'info_style_search_page_header',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Search Page Header Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the search page header.', 'anemos' ),
					),
					array(
						'id' => 'search_page_header_style',
						'type' => 'select',
						'title' => esc_html__( 'Page Header Style', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your page header style.', 'anemos' ),
						'options' => $anemos_eutf_header_style,
						'default' => 'default',
					),
					array(
						'id' => 'search_page_header_overlapping',
						'type' => 'select',
						'title' => esc_html__( 'Page Header Overlapping', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want the Page Header overlaps the content. Combine this option with the Light or Dark Header.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'no',
					),
					array(
						'id'   => 'search_info_style_search_page_title',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Search Page Title Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style for the search page title.', 'anemos' ),
					),
					array(
						'id' => 'search_page_title_height',
						'type' => 'select',
						'default' => '60',
						'title' => esc_html__( 'Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter page title height in % (Default is 60).', 'anemos' ),
						'options' => $anemos_eutf_area_height,
						'validate' => 'not_empty',
					),
					array(
						'id' => 'search_page_title_min_height',
						'type' => 'text',
						'default' => '200',
						'title' => esc_html__( 'Minimum Height', 'anemos' ),
						'subtitle' => esc_html__( 'Enter page title minimum height in px (Default is 200).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'search_page_title_content_position',
						'type' => 'select',
						'title' => esc_html__( 'Content Alignment', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your alignment for the search page title/description.', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'search_page_title_content_animation',
						'type' => 'select',
						'title' => esc_html__( 'Content Animation', 'anemos' ),
						'subtitle'=> esc_html__( 'Select your animation for the search page title/description.', 'anemos' ),
						'options' => $anemos_eutf_animation_selection,
						'default' => 'fade-in-up',
						'validate' => 'not_empty',
					),
					array(
						'id'       => 'search_page_title_bg_mode',
						'type'     => 'select',
						'title' => esc_html__( 'Background Mode', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the Page Title Background, Color or Image.', 'anemos' ),
						'options' => $anemos_eutf_title_bg_mode_limited,
						'default'  => 'color',
					),
					array(
						'id'       => 'search_page_title_bg_image',
						'type'     => 'media',
						'title' => esc_html__( 'Background Image', 'anemos' ),
						'subtitle' => esc_html__( 'Select a background image for the search page title.', 'anemos' ),
						'required' => array( 'search_page_title_bg_mode', 'equals', 'custom' ),
					),
					array(
						'id' => 'search_page_title_bg_position',
						'type' => 'select',
						'title' => esc_html__( 'Background Position', 'anemos' ),
						'options' => $anemos_eutf_align_selection_full,
						'default' => 'center-center',
						'validate' => 'not_empty',
						'required' => array( 'search_page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'search_page_title_pattern_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Pattern Overlay', 'anemos' ),
						'options' => $anemos_eutf_pattern_selection,
						'default' => 'none',
						'required' => array( 'search_page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'search_page_title_color_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Color Overlay', 'anemos' ),
						'options' => $anemos_eutf_color_selection,
						'default' => 'dark',
						'required' => array( 'search_page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id' => 'search_page_title_opacity_overlay',
						'type' => 'select',
						'title' => esc_html__( 'Opacity Overlay', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0',
						'required' => array( 'search_page_title_bg_mode', '!=', 'color' ),
					),
					array(
						'id'   => 'info_style_search_page_settings',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Search Page Style and Basic Search Page Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Set the style and basic settings for the search page.', 'anemos' ),
					),
					array(
						'id' => 'search_page_style',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Style', 'anemos' ),
						'subtitle' => esc_html__( 'Select the search page style', 'anemos' ),
						'options' => array(
							'masonry' => esc_html__( 'Masonry' , 'anemos' ),
							'grid' => esc_html__( 'Grid' , 'anemos' ),
						),
						'default' => 'masonry',
					),
					array(
						'id' => 'search_page_mode',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Mode', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Search Page Mode', 'anemos' ),
						'options' => array(
							'no-shadow-mode' => esc_html__( 'Without Shadow', 'anemos' ),
							'shadow-mode' => esc_html__( 'With Shadow', 'anemos' ),
						),
						'default' => 'shadow-mode',
					),
					array(
						'id' => 'search_page_show_image',
						'type' => 'select',
						'title' => esc_html__( 'Show Search Page Featured Image', 'anemos' ),
						'subtitle' => esc_html__( 'If enabled, Featured image is displayed', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'yes',
					),
					array(
						'id' => 'search_page_columns_large_screen',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Large Screen Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Search Page Columns on large screen devices', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '3',
					),
					array(
						'id' => 'search_page_columns',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select the Search Page Columns', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '3',
					),
					array(
						'id' => 'search_page_columns_tablet_landscape',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Tablet Landscape Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on tablet devices, landscape orientation.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '3',
					),
					array(
						'id' => 'search_page_columns_tablet_portrait',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Tablet Portrait Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on tablet devices, portrait orientation.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection,
						'default' => '2',
					),
					array(
						'id' => 'search_page_columns_mobile',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Mobile Columns', 'anemos' ),
						'subtitle' => esc_html__( 'Select responsive column on mobile devices.', 'anemos' ),
						'options' => $anemos_eutf_blog_columns_selection_mobile,
						'default' => '1',
					),
					array(
						'id' => 'search_page_heading_tag',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Result Title Tag', 'anemos' ),
						'subtitle' => esc_html__( 'Select tag for your search result title.', 'anemos' ),
						'options' => $anemos_eutf_headings_tag_selection,
						'default' => 'h4',
					),
					array(
						'id' => 'search_page_heading',
						'type' => 'select',
						'title' => esc_html__( 'Search Page Result Title Size', 'anemos' ),
						'subtitle' => esc_html__( 'Select size and typography for your search result title.', 'anemos' ),
						'options' => $anemos_eutf_headings_selection,
						'default' => 'h4',
					),
					array(
						'id'=>'search_page_excerpt_length_small',
						'type' => 'text',
						'default' => '30',
						'title' => esc_html__( 'Excerpt Length', 'anemos' ),
						'subtitle' => esc_html__( 'Type how many words you want to display in your post excerpts (Default is 30).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'search_page_excerpt_more',
						'type' => 'switch',
						'title' => esc_html__( 'Read More', 'anemos' ),
						'subtitle'=> esc_html__( "Adds a read more button after the excerpt or more quicktag.", 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id' => 'search_page_not_found_text',
						'type' => 'editor',
						'args' => $editor_args,
						'title' => esc_html__( 'Search Page Not Found Content', 'anemos' ),
						'subtitle' => esc_html__( 'Type the content of your search page when no results are found.', 'anemos' ),
						'default' => '<p class="eut-align-center eut-leader-text">Hey there mate!<br />Your lost treasure is not found here...</p><p class="eut-align-center">Check again your spelling and rewrite the content you are seeking for in the search field.</p>',
					),
				)
			);
			$this->sections[] = array(
				'title' => esc_html__( 'Typography Options', 'anemos' ),
				'id' => 'eut_redux_section_typography_options',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Header/Body', 'anemos' ),
				'id' => 'eut_redux_section_typography_header',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_body_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Main Body Fonts', 'anemos' ),
					),
					array(
						'id' => 'body_font',
						'type' => 'typography',
						'title' => esc_html__( 'Body Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the body font properties.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height'=> true,
						'text-align'=> false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'default' => array(
							'font-size' => '14px',
							'line-height' => '24px',
							'font-family' => 'Open Sans',
							'font-weight' => '400',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id'   => 'info_logo_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Logo as text Fonts', 'anemos' ),
					),
					array(
						'id' => 'logo_font',
						'type' => 'typography',
						'title' => esc_html__( 'Logo Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the logo font properties.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height'=> false,
						'text-align'=> false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '36px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id'   => 'info_menu_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Main Menu Fonts', 'anemos' ),
					),
					array(
						'id' => 'main_menu_font',
						'type' => 'typography',
						'title' => esc_html__( 'Menu Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the menu font properties.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Poppins',
							'font-size' => '14px',
							'font-weight' => '500',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'sub_menu_font',
						'type' => 'typography',
						'title' => esc_html__( 'Submenu Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the submenu font properties.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Poppins',
							'font-size' => '12px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'description_menu_font',
						'type' => 'typography',
						'title' => esc_html__( 'Menu Description Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the Menu description font properties.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Poppins',
							'font-size' => '11px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Headings (H1-H6)', 'anemos' ),
				'id' => 'eut_redux_section_typography_headings',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_headers_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Headings Fonts', 'anemos' ),
					),
					array(
						'id' => 'headings_font',
						'type' => 'typography',
						'title' => esc_html__( 'Headings Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the headings font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => false,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'font-size' => false,
						'default' => array(
							'font-family' => 'Playfair Display',
							'text-transform' => 'none',
							'font-weight' => '400',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'h1_font',
						'type' => 'typography',
						'title' => esc_html__( 'H1 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H1 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '53px',
							'line-height' => '60px',
							'letter-spacing' => '',
						),
					),
					array(
						'id' => 'h2_font',
						'type' => 'typography',
						'title' => esc_html__( 'H2 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H2 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '36px',
							'line-height' => '40px',
							'letter-spacing' => '',
						),
					),
					array(
						'id' => 'h3_font',
						'type' => 'typography',
						'title' => esc_html__( 'H3 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H3 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '30px',
							'line-height' => '36px',
							'letter-spacing' => '',
						),
					),
					array(
						'id' => 'h4_font',
						'type' => 'typography',
						'title' => esc_html__( 'H4 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H4 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '24px',
							'line-height' => '30px',
							'letter-spacing' => '',
						),
					),
					array(
						'id' => 'h5_font',
						'type' => 'typography',
						'title' => esc_html__( 'H5 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H5 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '20px',
							'line-height' => '30px',
							'letter-spacing' => '',
						),
					),
					array(
						'id' => 'h6_font',
						'type' => 'typography',
						'title' => esc_html__( 'H6 Font', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the H6 font.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => false,
						'font-family' => false,
						'font-weight' => false,
						'font-style' => false,
						'default' => array(
							'font-size' => '18px',
							'line-height' => '30px',
							'letter-spacing' => '',
						),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Titles/Descriptions', 'anemos' ),
				'id' => 'eut_redux_section_typography_titles',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_page_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Page/Blog Typography', 'anemos' ),
					),
					array(
						'id' => 'page_title',
						'type' => 'typography',
						'title' => esc_html__( 'Page Title', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the default page titles and for the assigned blog page in case you have set a Static Page as blog page in Settings > Reading > Front Page Displays. (Archives / Categories / Tags overview pages)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '36px',
							'line-height' => '48px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'page_description',
						'type' => 'typography',
						'title' => esc_html__( 'Page Description', 'anemos' ),
						'subtitle' => esc_html__( 'Specify font for the page description and for the description of the assigned blog page in case you have set a Static Page as blog page in Settings > Reading > Front Page Displays. (Archives / Categories / Tags overview pages)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '24px',
							'line-height' => '30px',
							'font-weight' => '400',
							'font-style' => 'italic',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id'   => 'info_post_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Single Post Typography', 'anemos' ),
					),
					array(
						'id' => 'post_title_categories',
						'type' => 'typography',
						'title' => esc_html__( 'Post Categories', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for meta in the post title section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '16px',
							'line-height' => '30px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'post_title',
						'type' => 'typography',
						'title' => esc_html__( 'Post Title', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the single post titles.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '36px',
							'line-height' => '48px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'post_title_desc',
						'type' => 'typography',
						'title' => esc_html__( 'Post Description', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the single post description.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '24px',
							'line-height' => '30px',
							'font-weight' => '400',
							'font-style' => 'italic',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Feature Section', 'anemos' ),
				'id' => 'eut_redux_section_typography_feature_section',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_feature_typography_custom_height',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Feature Section Typography with Custom Height', 'anemos' ),
					),
					array(
						'id' => 'feature_subheading_custom_font',
						'type' => 'typography',
						'title' => esc_html__( 'Sub Heading', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the sub-heading in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '16px',
							'line-height' => '30px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'feature_title_custom_font',
						'type' => 'typography',
						'title' => esc_html__( 'Title', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the title in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '36px',
							'line-height' => '48px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'feature_desc_custom_font',
						'type' => 'typography',
						'title' => esc_html__( 'Description', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the description in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '24px',
							'line-height' => '30px',
							'font-weight' => '400',
							'font-style' => 'italic',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id'   => 'info_feature_typography_full',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Feature Section Typography with Fullscreen mode', 'anemos' ),
					),
					array(
						'id' => 'feature_subheading_full_font',
						'type' => 'typography',
						'title' => esc_html__( 'Sub Heading', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the sub-heading in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '16px',
							'line-height' => '30px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'feature_title_full_font',
						'type' => 'typography',
						'title' => esc_html__( 'Title', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the title in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '60px',
							'line-height' => '72px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'feature_desc_full_font',
						'type' => 'typography',
						'title' => esc_html__( 'Description', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the font for the  description in the feature section.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '24px',
							'line-height' => '30px',
							'font-weight' => '400',
							'font-style' => 'italic',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Extras', 'anemos' ),
				'id' => 'eut_redux_section_typography_extras',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-font',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'widgets_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Widgets Typography', 'anemos' ),
					),
					array(
						'id' => 'widget_title',
						'type' => 'typography',
						'title' => esc_html__( 'Widgets Title', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the widget titles.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Playfair Display',
							'font-size' => '20px',
							'line-height' => '30px',
							'font-weight' => '400',
							'text-transform' => 'capitalize',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'widget_text',
						'type' => 'typography',
						'title' => esc_html__( 'Widgets Text', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the widget texts.', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Open Sans',
							'font-size' => '12px',
							'line-height' => '24px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id'   => 'info_special_typography',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Special Text Typography', 'anemos' ),
					),
					array(
						'id' => 'leader_text',
						'type' => 'typography',
						'title' => esc_html__( 'Leader Text', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the leader text. This is used in various elements (Text block, Testimonial...)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '20px',
							'line-height' => '36px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'subtitle_text',
						'type' => 'typography',
						'title' => esc_html__( 'Subtitle Text', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the subtitle text. This is used in various elements (Slogan Subtitle...)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => true,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Droid Serif',
							'font-size' => '16px',
							'line-height' => '30px',
							'font-weight' => '400',
							'text-transform' => 'none',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'small_text',
						'type' => 'typography',
						'title' => esc_html__( 'Small Text', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the small text. This is used in various elements (Tags, Post Meta...)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Poppins',
							'font-size' => '8px',
							'font-weight' => '500',
							'text-transform' => 'uppercase',
							'letter-spacing' => '1px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
					array(
						'id' => 'link_text',
						'type' => 'typography',
						'title' => esc_html__( 'Link Text', 'anemos' ),
						'subtitle' => esc_html__( 'Specify the style for the link text. This is used in various elements (Buttons, Read More...)', 'anemos' ),
						'google' => $anemos_is_google,
						'line-height' => false,
						'text-align' => false,
						'letter-spacing' => true,
						'color'=> false,
						'preview'=>false,
						'text-transform' => true,
						'default' => array(
							'font-family' => 'Poppins',
							'font-size' => '12px',
							'font-weight' => '500',
							'text-transform' => 'none',
							'letter-spacing' => '0px',
						),
						'fonts' => $anemos_eutf_std_fonts,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Responsive Typography', 'anemos' ),
				'id' => 'eut_redux_section_responsive_typography',
				'header' => '',
				'desc' => '',
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-fontsize',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Responsive Headings', 'anemos' ),
				'id' => 'eut_redux_section_responsive_typography_headings',
				'header' => '',
				'desc' => esc_html__( 'Define your responsiveness for the Typography Headings ( H1-H6 ).', 'anemos' ),
				'submenu' => true,
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-fontsize',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_typography_tablet_landscape_headings',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Landscape', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 960px) and (max-width: 1200px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_landscape_threshold_headings',
						'type' => 'text',
						'default' => '35',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 35).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_landscape_ratio_headings',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.9',
					),
					array(
						'id'   => 'info_typography_tablet_portrait_headings',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Portrait', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 768px) and (max-width: 959px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_portrait_threshold_headings',
						'type' => 'text',
						'default' => '35',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 35).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_portrait_ratio_headings',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.8',
					),
					array(
						'id'   => 'info_typography_mobile_headings',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Mobile', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (max-width: 767px)', 'anemos' ),
					),
					array(
						'id' => 'typography_mobile_threshold_headings',
						'type' => 'text',
						'default' => '35',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 35).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_mobile_ratio_headings',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.7',
					),
				),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Responsive First Group', 'anemos' ),
				'id' => 'eut_redux_section_responsive_typography_first_group',
				'header' => '',
				'desc' => esc_html__( 'Define your responsiveness Typography for following elements: Page / Post / Feature Section Titles.', 'anemos' ),
				'submenu' => true,
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-fontsize',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_typography_tablet_landscape',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Landscape', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 960px) and (max-width: 1200px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_landscape_threshold',
						'type' => 'text',
						'default' => '20',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 20).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_landscape_ratio',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.9',
					),
					array(
						'id'   => 'info_typography_tablet_portrait',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Portrait', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 768px) and (max-width: 959px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_portrait_threshold',
						'type' => 'text',
						'default' => '20',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 20).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_portrait_ratio',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.85',
					),
					array(
						'id'   => 'info_typography_mobile',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Mobile', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (max-width: 767px)', 'anemos' ),
					),
					array(
						'id' => 'typography_mobile_threshold',
						'type' => 'text',
						'default' => '18',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 18).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_mobile_ratio',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.6',
					),
				),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Responsive Second Group', 'anemos' ),
				'id' => 'eut_redux_section_responsive_typography_second_group',
				'header' => '',
				'desc' => esc_html__( 'Define your responsiveness Typography for following elements: Page / Post / Feature Section Descriptions, Leader Text, Subtitle Text, Link Texts and Buttons.', 'anemos' ),
				'submenu' => true,
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-fontsize',
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'   => 'info_typography_tablet_landscape2',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Landscape', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 960px) and (max-width: 1200px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_landscape_threshold2',
						'type' => 'text',
						'default' => '14',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 14).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_landscape_ratio2',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.9',
					),
					array(
						'id'   => 'info_typography_tablet_portrait2',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Tablet Portrait', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (min-width: 768px) and (max-width: 959px)', 'anemos' ),
					),
					array(
						'id' => 'typography_tablet_portrait_threshold2',
						'type' => 'text',
						'default' => '14',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 14).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_tablet_portrait_ratio2',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.8',
					),
					array(
						'id'   => 'info_typography_mobile2',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Mobile', 'anemos' ),
						'subtitle'=> esc_html__( 'Screen (max-width: 767px)', 'anemos' ),
					),
					array(
						'id' => 'typography_mobile_threshold2',
						'type' => 'text',
						'default' => '13',
						'title' => esc_html__( 'Size Threshold', 'anemos' ),
						'subtitle' => esc_html__( 'Size threshold in px (Default is 13).', 'anemos' ),
						'validate' => 'numeric',
					),
					array(
						'id' => 'typography_mobile_ratio2',
						'type' => 'select',
						'title' => esc_html__( 'Size Ratio', 'anemos' ),
						'subtitle'=> esc_html__( 'Select percentage of the original size.', 'anemos' ),
						'options' => $anemos_eutf_ratio_selection,
						'default' => '0.8',
					),
				),
			);

			$this->sections[] = array(
				'icon' => 'el-icon-file-edit',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'CSS / JS Options', 'anemos' ),
				'id' => 'eut_redux_section_css_js_options',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'   => 'info_style_css_code',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'CSS', 'anemos' ),
					),
					array(
						'id' => 'css_code',
						'type' => 'ace_editor',
						'title' => esc_html__( 'CSS Code', 'anemos' ),
						'subtitle' => esc_html__( 'Paste your CSS code here.', 'anemos' ),
						'mode' => 'css',
						'theme' => 'monokai',
						'desc' => '',
						'default' => ''
					),
					array(
						'id'   => 'info_style_js_code',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'JS', 'anemos' ),
					),
					array(
						'id' => 'custom_js',
						'type' => 'ace_editor',
						'mode' => 'javascript',
						'theme' => 'chrome',
						'title' => esc_html__( 'JS Code', 'anemos' ),
						'subtitle' => esc_html__( 'Add your custom JavaScript code here. Please do not include any script tags.', 'anemos' ),
						'desc' => '',
						'default' => ''
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Style Options', 'anemos' ),
				'id' => 'eut_redux_section_style_options',
				'desc' => sprintf( wp_kses( __( 'To customize the color scheme, please use the <a href="%s">Live Color Customizer</a>.', 'anemos' ), array( 'br' => array(), 'a' => array( 'href' => true, 'target' => true ) ) ), esc_url( admin_url('/customize.php') ) ),
				'customizer' => false,
				'fields' => array(
					array(
						'id'    => 'info_style_color_preset',
						'type'  => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Skin Presets', 'anemos' ),
					),
					array(
						'id'        => 'skin_preset',
						'type'      => 'image_select',
						'presets'   => true,
						'title'     => esc_html__( 'Select your Skin', 'anemos' ),
						'default'   => 0,
						'subtitle'  => esc_html__( 'Use the preset as you wish in order to customize your color scheme.', 'anemos' ),
						'options'   => array(
							'palette-1'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-1.png', 'presets' => $anemos_eutf_skin_palette_1 ),
							'palette-2'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-2.png', 'presets' => $anemos_eutf_skin_palette_2 ),
							'palette-3'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-3.png', 'presets' => $anemos_eutf_skin_palette_3 ),
							'palette-4'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-4.png', 'presets' => $anemos_eutf_skin_palette_4 ),
							'palette-5'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-5.png', 'presets' => $anemos_eutf_skin_palette_5 ),
							'palette-6'  => array('img' => get_template_directory_uri() . '/includes/images/skins/palette-6.png', 'presets' => $anemos_eutf_skin_palette_6 ),
						),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Top Bar', 'anemos' ),
				'id' => 'eut_redux_section_colors_top_bar',
				'desc' => esc_html__( 'Set your color preferences for the TopBar (you will see the changes in the live preview only if TopBar is enabled).', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					//Top Bar Color Settings
					array(
						'id'          => 'top_bar_bg_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Top Bar Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your Top Bar.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'top_bar_font_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Top Bar Font Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Font color for your Top Bar.', 'anemos' ),
						'default'     => '#777777',
						'transparent' => false,
					),
					array(
						'id'          => 'top_bar_link_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Top Bar Link Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Link color for your Top Bar.', 'anemos' ),
						'default'     => '#777777',
						'transparent' => false,
					),
					array(
						'id'          => 'top_bar_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Top Bar Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Hover color for your Top Bar.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
				)
			);
			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Header / Menu', 'anemos' ),
				'id' => 'eut_redux_section_colors_header_menu',
				'desc' => esc_html__( 'Set your color preferences for the Header and Menu.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
				),
			);
			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Default Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_default_header',
				'desc' => esc_html__( 'Set your color preferences for the Default Header. Keep in mind that the basic settings for the Default Header are in Theme Options > Header Options.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Default Header Color Settings
					array(
						'id'       => 'default_header_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the header.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'default_header_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					array(
						'id'       => 'default_header_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color for the header.', 'anemos' ),
						'default'  => '#d8d8d8',
						'transparent' => false,
					),
					array(
						'id' => 'default_header_border_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the border of the header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					//Menu Color Settings
					array(
						'id'          => 'default_header_menu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu text.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_menu_type_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_menu_type_color_hover',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					//Sub Menu Color Settings
					array(
						'id'          => 'default_header_submenu_bg_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color for the sub menu.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the sub menu text.', 'anemos' ),
						'default'     => '#777777',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover or active sub menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_text_bg_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Hover/Active Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color for the hover or active sub menu.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_column_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Column Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the sub menu column titles ( Used in mega menu ).', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_column_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Column Titles Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover or active sub menu column titles ( Used in mega menu ).', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'default_header_submenu_border_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Border Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a border color for the sub menu.', 'anemos' ),
						'default'     => '#e0e0e0',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Logo on Top Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_logotop_header',
				'desc' => esc_html__( 'Set your color preferences for the Logo on top Header. Keep in mind that the basic settings for the Logo on top Header are in Theme Options > Header Options.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Logo on top Header Color Settings
					array(
						'id'       => 'logo_top_header_logo_area_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Logo Area Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the logo area.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'logo_top_header_logo_area_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Logo Area Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the logo area.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					array(
						'id'       => 'logo_top_header_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color for the header.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id' => 'logo_top_header_border_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the border of the header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.10',
					),
					array(
						'id'       => 'logo_top_header_menu_area_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Menu Area Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the menu area.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'logo_top_header_menu_area_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Menu Area Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the menu area.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					//Menu Color Settings
					array(
						'id'          => 'logo_top_header_menu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu text.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_menu_type_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_menu_type_color_hover',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					//Sub Menu Color Settings
					array(
						'id'          => 'logo_top_header_submenu_bg_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color for the sub menu.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the sub menu text.', 'anemos' ),
						'default'     => '#777777',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover or active sub menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_text_bg_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Hover/Active Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color for the hover or active sub menu.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_column_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Column Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the sub menu column titles ( Used in mega menu ).', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_column_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Column Titles Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover or active sub menu column titles ( Used in mega menu ).', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'logo_top_header_submenu_border_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Border Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a border color for the sub menu.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Side Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_side_header',
				'desc' => esc_html__( 'Set your color preferences for the Side Header. Keep in mind that the basic settings for the Side Header are in Theme Options > Header Options.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Logo on top Header Color Settings
					array(
						'id'       => 'side_header_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the header.', 'anemos' ),
						'default'  => '#f7f7f7',
						'transparent' => false,
					),
					array(
						'id' => 'side_header_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					//Menu Color Settings
					array(
						'id'          => 'side_header_menu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu text.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'side_header_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					//Sub Menu Color Settings
					array(
						'id'          => 'side_header_submenu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the sub menu text.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'side_header_submenu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Sub Menu Text Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover or active sub menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'side_header_border_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Border Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a border color.', 'anemos' ),
						'default'     => '#323232',
						'transparent' => false,
					),
					array(
						'id' => 'side_header_border_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the borders.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.10',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Sticky Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_sticky_header',
				'desc' => esc_html__( 'Set your color preferences for the Sticky Header. You can enable/disable, select the type and logo for the sticky header in Theme Options > Header Options > Sticky Header Options.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Sticky Header Color Settings
					array(
						'id'       => 'header_sticky_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color for the header.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'header_sticky_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					array(
						'id'       => 'header_sticky_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color for the sticky header.', 'anemos' ),
						'default'  => '#d8d8d8',
						'transparent' => false,
					),
					array(
						'id' => 'header_sticky_border_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the border of the sticky header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					//Menu Color Settings
					array(
						'id'          => 'sticky_menu_text_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu text.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'sticky_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'header_sticky_menu_type_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'          => 'header_sticky_menu_type_color_hover',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Light Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_light_header',
				'desc' => esc_html__( 'Notice that the Light Header is the transparent header with light fonts that theme provides in order to combine with the overlapping option everywhere in your site.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Menu Color Settings
					array(
						'id'          => 'light_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover/active menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'light_menu_type_color_hover',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'       => 'light_header_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color for the light header.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'light_header_border_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the border of the light header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.30',
					),
				)
			);
			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Dark Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_dark_header',
				'desc' => esc_html__( 'Notice that the Dark Header is the transparent header with dark fonts that theme provides in order to combine with the overlapping option everywhere in your site.', 'anemos' ),
				'submenu' => false,
				'eut_colors' => true,
				'panel' => false,
				'subsection' => true,
				'fields' => array(
					//Menu Color Settings
					array(
						'id'          => 'dark_menu_text_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Text Hover/Active Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the hover/active menu text.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'dark_menu_type_color_hover',
						'type'        => 'color',
						'title'       => esc_html__( 'Menu Type Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the menu type. This will affect if you select the button or underline type.', 'anemos' ),
						'default'     => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'       => 'dark_header_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color for the dark header.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id' => 'dark_header_border_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Border Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the border of the dark header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.10',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Responsive Header', 'anemos' ),
				'id' => 'eut_redux_section_colors_responsive_header',
				'desc' => esc_html__( 'Set your color preferences for the Responsive Header. These settings will affect when the responsive header appears, below 1024px.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id'       => 'responsive_header_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the header.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'responsive_header_background_opacity',
						'type' => 'select',
						'title' => esc_html__('Background Color Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the background of the responsive header.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
					array(
						'id'          => 'responsive_header_elements_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Header Elements Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the header elements.', 'anemos' ),
						'default'     => '#000000',
						'transparent' => false,
					),
					array(
						'id'          => 'responsive_header_elements_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Header Elements Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for the header elements hover.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Responsive Menu', 'anemos' ),
				'id' => 'eut_redux_section_colors_responsive_menu',
				'desc' => esc_html__( 'Set your color preferences for the Responsive Menu. These settings will also affect for the hidden menu.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id'       => 'responsive_menu_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the responsive menu.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'responsive_menu_link_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Link Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the links of the responsive menu.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'responsive_menu_link_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the hovers of the responsive menu.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'responsive_menu_close_btn_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Close Button Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the close button of the responsive menu.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'responsive_menu_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the borders of the responsive menu.', 'anemos' ),
						'default'  => '#d8d8d8',
						'transparent' => false,
					),
					array(
						'id'       => 'responsive_menu_overflow_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Overflow Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the overflow area, when responsive menu opens.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id' => 'responsive_menu_overflow_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Overflow Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the overflow area, when responsive menu opens.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.90',
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Anchor Menu', 'anemos' ),
				'id' => 'eut_redux_section_colors_anchor_menu',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the Anchor Menu in case you use one in any of your pages, posts items.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'page_anchor_menu_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Background color for the Anchor Menu.', 'anemos' ),
						'default'  => '#111213',
						'transparent' => false,
					),
					array(
						'id'       => 'page_anchor_menu_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Font Color', 'anemos' ),
						'subtitle' => esc_html__( 'Font color for the Anchor Menu.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'page_anchor_menu_text_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Hover color for the Anchor Menu.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'page_anchor_menu_background_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Hover background color for the Anchor Menu.', 'anemos' ),
						'default'  => '#111213',
						'transparent' => false,
					),
					array(
						'id'       => 'page_anchor_menu_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Border color for the Anchor Menu.', 'anemos' ),
						'default'  => '#2e2f30',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Main Content', 'anemos' ),
				'id' => 'eut_redux_section_colors_main_content',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the main content area of your site.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'main_content_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a background color.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,

					),
					array(
						'id'       => 'body_heading_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Headings Text Color (h1-h6)', 'anemos' ),
						'subtitle'    => esc_html__( 'Pick a color for headings text.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id'       => 'body_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the text.', 'anemos' ),
						'default'  => '#4f4f4f',
						'transparent' => false,
					),
					array(
						'id'       => 'body_text_link_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Link Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the links.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id'       => 'body_text_link_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for hover text.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'body_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a border color.', 'anemos' ),
						'default'  => '#d8d8d8',
						'transparent' => false,
					),
					array(
						'id'       => 'widget_title_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Widget Title Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for widget titles.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'widget_title_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Widget Title Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for widget titles.', 'anemos' ),
						'default'  => '#171a1d',
						'transparent' => false,
					),
					array(
						'id'       => 'body_primary_1_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Primary 1 Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for primary 1.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'body_primary_2_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Primary 2 Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for primary 2.', 'anemos' ),
						'default'  => '#044475',
						'transparent' => false,
					),
					array(
						'id'       => 'body_primary_3_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Primary 3 Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for primary 3.', 'anemos' ),
						'default'  => '#487F84',
						'transparent' => false,
					),
					array(
						'id'       => 'body_primary_4_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Primary 4 Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for primary 4.', 'anemos' ),
						'default'  => '#5F597E',
						'transparent' => false,
					),
					array(
						'id'       => 'body_primary_5_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Primary 5 Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for primary 5.', 'anemos' ),
						'default'  => '#d6ccad',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Blog /Post', 'anemos' ),
				'id' => 'eut_redux_section_colors_blog_post',
				'desc' => esc_html__( 'Set your color preferences for your Blog / Post.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
				),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Blog Title', 'anemos' ),
				'id' => 'eut_redux_section_colors_blog_title',
				'header' => '',
				'desc' => esc_html__( 'Set the background color for the blog title area and the color of the blog title. These settings will only affect in case you have set a Static Page as blog page in Settings > Reading > Front Page Displays. Also these settings will also affect on Archives / Categories / Tags overview pages.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'blog_title_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your blog title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'blog_title_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'blog_title_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_title_content_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Content Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background Color for your title content.', 'anemos' ),
						'options' => $anemos_eutf_bg_color_selection_extra,
						'default' => 'light',
					),
					array(
						'id'       => 'blog_title_content_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Content Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#ffffff',
						'required' => array( 'blog_title_content_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_title_color',
						'type' => 'select',
						'title' => esc_html__( 'Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your blog title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'blog_title_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Title Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'blog_title_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'blog_description_color',
						'type' => 'select',
						'title' => esc_html__( 'Description Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your blog description.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'blog_description_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Description Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'blog_description_color', 'equals', 'custom' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Post Title', 'anemos' ),
				'id' => 'eut_redux_section_colors_post_title',
				'header' => '',
				'desc' => esc_html__( 'Set the background color for the single post title area and the color of the post title. Notice that you can disable it, override it or even use the feature section when you edit your single posts.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'post_title_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your post title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'post_title_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'post_title_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'post_title_content_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Content Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background Color for your title content.', 'anemos' ),
						'options' => $anemos_eutf_bg_color_selection_extra,
						'default' => 'light',
					),
					array(
						'id'       => 'post_title_content_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Content Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#ffffff',
						'required' => array( 'post_title_content_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'post_subheading_color',
						'type' => 'select',
						'title' => esc_html__( 'Categories/Meta Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your post categories/meta.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'post_subheading_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Meta Title Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'post_subheading_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'post_title_color',
						'type' => 'select',
						'title' => esc_html__( 'Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your post title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'post_title_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Title Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'post_title_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'post_description_color',
						'type' => 'select',
						'title' => esc_html__( 'Description Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your post description.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'post_description_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Description Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'post_description_color', 'equals', 'custom' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Page', 'anemos' ),
				'id' => 'eut_redux_section_colors_page',
				'desc' => esc_html__( 'Set your color preferences for your page.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
				),
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Page Title', 'anemos' ),
				'id' => 'eut_redux_section_colors_page_title',
				'header' => '',
				'desc' => esc_html__( 'Set the background color for the predefined page title area and the color of the page title. Notice that you can disable it, override it or even use the feature section when you edit your single pages.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'page_title_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your page title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'page_title_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'page_title_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'page_title_content_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Content Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background Color for your title content.', 'anemos' ),
						'options' => $anemos_eutf_bg_color_selection_extra,
						'default' => 'light',
					),
					array(
						'id'       => 'page_title_content_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Content Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#ffffff',
						'required' => array( 'page_title_content_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'page_title_color',
						'type' => 'select',
						'title' => esc_html__( 'Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your page title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'page_title_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Title Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'page_title_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'page_description_color',
						'type' => 'select',
						'title' => esc_html__( 'Description Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your page description.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'page_description_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Description Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'page_description_color', 'equals', 'custom' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Search Page', 'anemos' ),
				'id' => 'eut_redux_section_colors_search_page',
				'desc' => esc_html__( 'Set your color preferences for your search page.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
				),
			);
			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Search Page Title', 'anemos' ),
				'id' => 'eut_redux_section_colors_search_page_title',
				'header' => '',
				'desc' => esc_html__( 'Set the background color for the search page title area and the color of the page title.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					array(
						'id' => 'search_page_title_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your page title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'search_page_title_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'search_page_title_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'search_page_title_content_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Content Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background Color for your title content.', 'anemos' ),
						'options' => $anemos_eutf_bg_color_selection_extra,
						'default' => 'light',
					),
					array(
						'id'       => 'search_page_title_content_bg_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Content Background Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#ffffff',
						'required' => array( 'search_page_title_content_bg_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'search_page_title_color',
						'type' => 'select',
						'title' => esc_html__( 'Title Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your page title.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'search_page_title_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Title Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'search_page_title_color', 'equals', 'custom' ),
					),
					array(
						'id' => 'search_page_description_color',
						'type' => 'select',
						'title' => esc_html__( 'Description Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Color for your page description.', 'anemos' ),
						'options' => $anemos_eutf_color_selection_extra,
						'default' => 'dark',
					),
					array(
						'id'       => 'search_page_description_color_custom',
						'type'     => 'color',
						'title'    => esc_html__( 'Custom Description Color', 'anemos' ),
						'transparent' => false,
						'default'  => '#000000',
						'required' => array( 'search_page_description_color', 'equals', 'custom' ),
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Bottom Bar', 'anemos' ),
				'id' => 'eut_redux_section_colors_bottom_bar',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the Bottom Bar.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'bottom_bar_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Background color for the Bottom Bar.', 'anemos' ),
						'default'  => '#212325',
						'transparent' => false,
					),
					array(
						'id'       => 'bottom_bar_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Font Color', 'anemos' ),
						'subtitle' => esc_html__( 'Font color for the Bottom Bar.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'bottom_bar_link_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Link Color', 'anemos' ),
						'subtitle' => esc_html__( 'Link color for the Bottom Bar.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'bottom_bar_link_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Link Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Link hover color for the Bottom Bar.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'bottom_bar_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Border color for the Bottom Bar.', 'anemos' ),
						'default'  => '#3c3e40',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Footer', 'anemos' ),
				'id' => 'eut_redux_section_colors_footer',
				'desc' => esc_html__( 'Set your color preferences for your Footer.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
				),
			);
			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Footer Area', 'anemos' ),
				'id' => 'eut_redux_section_colors_footer_area',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the Footer Area. Define the Footer Area in Theme Options > Footer Options.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Footer Area Color Settings
					array(
						'id'          => 'footer_widgets_bg_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your Footer Area.', 'anemos' ),
						'default'     => '#111213',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_widgets_headings_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Headings Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Headings color for your Footer Area.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_widgets_font_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Font Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Font color for your Footer Area.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_widgets_link_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Link Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Link color for your Footer Area.', 'anemos' ),
						'default'     => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_widgets_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Hover color for your Footer Area.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_widgets_border_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Border Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Border color for your Footer Area.', 'anemos' ),
						'default'     => '#2e2f30',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Footer Bar Area', 'anemos' ),
				'id' => 'eut_redux_section_colors_footer_bar_area',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the Footer Bar Area(copyright area). Define the Footer Bar Area in Theme Options > Footer Options.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => true,
				'fields' => array(
					//Footer Bar Color Settings
					array(
						'id'          => 'footer_bar_bg_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Background Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Background color for your Footer Bar Area.', 'anemos' ),
						'default'     => '#111213',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_bar_bg_color_opacity',
						'type'        => 'select',
						'title'       => esc_html__('Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for your Footer Bar Area.', 'anemos' ),
						'options'     => $anemos_eutf_opacity_selection,
						"default"     => '1',
					),
					array(
						'id'          => 'footer_bar_font_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Font Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Font color for your Footer Bar Area.', 'anemos' ),
						'default'     => '#b8b8b9',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_bar_link_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Link Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Link color for your Footer Bar Area.', 'anemos' ),
						'default'     => '#b8b8b9',
						'transparent' => false,
					),
					array(
						'id'          => 'footer_bar_hover_color',
						'type'        => 'color',
						'title'       => esc_html__( 'Hover Color', 'anemos' ),
						'subtitle'    => esc_html__( 'Hover color for your Footer Bar Area.', 'anemos' ),
						'default'     => '#f50057',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'title' => esc_html__( 'Colors - Breadcrumbs', 'anemos' ),
				'id' => 'eut_redux_section_colors_breadcrumbs',
				'header' => '',
				'desc' => esc_html__( 'Set your color preferences for the Breadcrumbs in case you use then in any of your pages, posts or items.', 'anemos' ),
				'icon_class' => 'el-icon-large',
				'icon' => 'el-icon-brush',
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'page_breadcrumbs_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Background color for the Breadcrumbs.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'page_breadcrumbs_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Font Color', 'anemos' ),
						'subtitle' => esc_html__( 'Font color for the Breadcrumbs.', 'anemos' ),
						'default'  => '#6e6e6e',
						'transparent' => false,
					),
					array(
						'id'       => 'page_breadcrumbs_text_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Hover color for the Breadcrumbs.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'page_breadcrumbs_divider_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Divider Color', 'anemos' ),
						'subtitle' => esc_html__( 'Divider color for the Breadcrumbs.', 'anemos' ),
						'default'  => '#b2b2b2',
						'transparent' => false,
					),
					array(
						'id'       => 'page_breadcrumbs_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Border color for the Breadcrumbs.', 'anemos' ),
						'default'  => '#e0e0e0',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Sliding Area', 'anemos' ),
				'id' => 'eut_redux_section_colors_sliding_area',
				'desc' => esc_html__( 'Set your color preferences for the Sliding Area.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'sliding_area_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the sliding area.', 'anemos' ),
						'default'  => '#232323',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_title_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Title Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the titles - headings (h1-h6) of the sliding area.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the text of the sliding area.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_link_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Link Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the links of the sliding area.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_link_hover_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the hovers of the sliding area.', 'anemos' ),
						'default'  => '#f50057',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_close_btn_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Close Button Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the close button of the sliding area.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the borders of the sliding area.', 'anemos' ),
						'default'  => '#3e3e3e',
						'transparent' => false,
					),
					array(
						'id'       => 'sliding_area_overflow_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Overflow Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the overflow area, when sliding area opens.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'sliding_area_overflow_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Overflow Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the overflow area, when sliding area opens.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '0.90',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Modals', 'anemos' ),
				'id' => 'eut_redux_section_colors_modals',
				'desc' => esc_html__( 'Set your color preferences for the Modals.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'       => 'modal_title_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Title Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the titles - headings (h1-h6) of the modal.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id'       => 'modal_text_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the text of the modal.', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
					),
					array(
						'id'       => 'modal_close_btn_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Close Button Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the close button of the modal.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id'       => 'modal_border_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Border Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for the borders of the modal.', 'anemos' ),
						'default'  => '#eef1f6',
						'transparent' => false,
					),
					array(
						'id'       => 'modal_overflow_background_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Overflow Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a background color for the overflow area, when modal opens.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id' => 'modal_overflow_background_color_opacity',
						'type' => 'select',
						'title' => esc_html__('Overflow Background Opacity', 'anemos' ),
						'subtitle'    => esc_html__( 'Select opacity for the overflow area, when modal opens.', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						"default" => '1',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-brush',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Colors - Privacy / Cookies', 'anemos' ),
				'id' => 'eut_redux_section_colors_privacy_consent_bar',
				'desc' => esc_html__( 'Set your color preferences for Privacy / Cookies feature.', 'anemos' ),
				'submenu' => false,
				'panel' => false,
				'eut_colors' => true,
				'subsection' => false,
				'fields' => array(
					array(
						'id'=>'privacy_bar_bg_color',
						'type' => 'color',
						'title' => esc_html__( 'Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the background color of Privacy Consent Info Bar.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
					),
					array(
						'id' => 'privacy_bar_bg_opacity',
						'type' => 'select',
						'title' => esc_html__( 'Background Opacity', 'anemos' ),
						'options' => $anemos_eutf_opacity_selection,
						'default' => '0.90',
					),
					array(
						'id'=>'privacy_bar_text_color',
						'type' => 'color',
						'title' => esc_html__( 'Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of Privacy Consent Info Bar Text.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_bar_button_text_color',
						'type' => 'color',
						'title' => esc_html__( 'Button Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of Privacy Consent Info Bar Button Text.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_bar_button_bg_color',
						'type' => 'color',
						'title' => esc_html__( 'Button Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the background color of Privacy Consent Info Bar Button.', 'anemos' ),
						'default'  => '#2bc137',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_bar_button_bg_hover_color',
						'type' => 'color',
						'title' => esc_html__( 'Button Background Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the background hover color of Privacy Consent Info Bar Button.', 'anemos' ),
						'default'  => '#17a523',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_modal_button_text_color',
						'type' => 'color',
						'title' => esc_html__( 'Modal Button Text Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of Modal Button Text.', 'anemos' ),
						'default'  => '#ffffff',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_modal_button_bg_color',
						'type' => 'color',
						'title' => esc_html__( 'Modal Button Background Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the background color of Modal Button.', 'anemos' ),
						'default'  => '#2bc137',
						'transparent' => false,
					),
					array(
						'id'=>'privacy_modal_button_bg_hover_color',
						'type' => 'color',
						'title' => esc_html__( 'Modal Button Background Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the background hover color of Modal Button.', 'anemos' ),
						'default'  => '#17a523',
						'transparent' => false,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cloud',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Social Media', 'anemos' ),
				'id' => 'eut_redux_section_social_media',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'social_options',
						'type' => 'sortable',
						'title' => esc_html__( 'Social URLs', 'anemos' ),
						'subtitle' => esc_html__( 'Define and reorder your social URLs. Clear the input field for any social link you do not wish to display.', 'anemos' ),
						'desc' => '',
						'label' => true,
						'options' => $anemos_eutf_social_options,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-map-marker',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Map Options', 'anemos' ),
				'id' => 'eut_redux_section_map_options',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'=>'map_api_mode',
						'type' => 'button_set',
						'title' => esc_html__( 'Map API', 'anemos' ),
						'subtitle'=> esc_html__( 'Select the map API', 'anemos' ),
						'options' => array(
							'google-maps' => esc_html__( 'Google Maps', 'anemos' ),
							'openstreetmap' => esc_html__( 'OpenStreetMap', 'anemos' ),
						),
						'default' => 'google-maps',
					),
					array(
						'id'=>'map_tile_url',
						'type' => 'text',
						'title' => esc_html__( 'Tile Layer URL', 'anemos' ),
						'subtitle' => esc_html__( 'Define the Tile Layer. Used to load and display tile layers on the map.', 'anemos' ),
						'desc' => sprintf( '%1$s: <a href="//wiki.openstreetmap.org/wiki/Tile_servers" target="_blank" rel="noopener noreferrer"> %2$s </a>', esc_html__('See more tile servers', 'anemos'), esc_html__('here', 'anemos') ),
						"default" => 'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
						'required' => array( 'map_api_mode', 'equals', 'openstreetmap' ),
					),
					array(
						'id'=>'map_tile_url_subdomains',
						'type' => 'text',
						'title' => esc_html__( 'Tile Layer Subdomains', 'anemos' ),
						'subtitle'=> esc_html__( 'Define the Tile Layer subdomains.', 'anemos' ),
						"default" => "abc",
						'required' => array( 'map_api_mode', 'equals', 'openstreetmap' ),
					),
					array(
						'id'=>'map_tile_attribution',
						'type' => 'text',
						'title' => esc_html__( 'Tile Layer Attribution', 'anemos' ),
						'subtitle' => esc_html__( 'Enter the Tile Layer attribution', 'anemos' ),
						"default" => '&copy; <a href="//www.openstreetmap.org/copyright">OpenStreetMap</a>',
						'required' => array( 'map_api_mode', 'equals', 'openstreetmap' ),
					),
					array(
						'id'       => 'gmap_api_key',
						'type'     => 'text',
						'title'    => esc_html__( 'Google API Key', 'anemos' ),
						'subtitle' => $gmap_api_key_link,
						'default'  => '',
						'required' => array( 'map_api_mode', 'equals', 'google-maps' ),
					),
					array(
						'id'=>'gmap_custom_enabled',
						'type' => 'button_set',
						'title' => esc_html__( 'Enable Custom Style', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to enable custom style for your map.', 'anemos' ),
						'options' => array(
							'0' => esc_html__( 'No', 'anemos' ),
							'1' => esc_html__( 'Custom', 'anemos' ),
							'2' => esc_html__( 'Custom Code', 'anemos' ),
						),
						'default' => '0',
						'required' => array( 'map_api_mode', 'equals', 'google-maps' ),
					),
					array(
						'id' => 'gmap_custom_code',
						'type' => 'textarea',
						'title' => esc_html__( 'Custom Code', 'anemos' ),
						'subtitle' => esc_html__( 'Copy and paste the JSON here.', 'anemos' ) . ' ' . $anemos_gmap_style_link,
						'default' => '',
						'rows' => '30',
						'required' => array( 'gmap_custom_enabled', 'equals', '2' ),
					),
					array(
						'id'       => 'gmap_water_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Water color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for water', 'anemos' ),
						'default'  => '#424242',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'gmap_landscape_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Landscape color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for landscape', 'anemos' ),
						'default'  => '#232323',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'gmap_poi_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Point of interest color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for point of interest', 'anemos' ),
						'default'  => '#232323',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'gmap_road_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Roads color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for roads', 'anemos' ),
						'default'  => '#1a1a1a',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'gmap_label_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Enable Label', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to enable labels for your map.', 'anemos' ),
						'default' => 1,
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'gmap_label_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Label color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for labels', 'anemos' ),
						'default'  => '#777777',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_label_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'gmap_country_color',
						'type'     => 'color',
						'title'    => esc_html__( 'Country Stroke color', 'anemos' ),
						'subtitle' => esc_html__( 'Pick a color for country stroke.', 'anemos' ),
						'default'  => '#000000',
						'transparent' => false,
						'validate' => 'color',
						'required' => array( 'gmap_custom_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'gmap_zoom_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Enable Zoom Control', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to enable zoom control for your map.', 'anemos' ),
						'default' => 0,
						'required' => array( 'gmap_custom_enabled', 'not', '0' ),
					),
					array(
						'id' => 'gmap_type_control',
						'type' => 'switch',
						'title' => esc_html__( 'Enable Map Type Control', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to enable map type control for your map.', 'anemos' ),
						'default' => 0,
						'required' => array( 'map_api_mode', 'equals', 'google-maps' ),
					),
					array(
						'id' => 'gmap_gesture_handling',
						'type' => 'select',
						'title' => esc_html__( 'Gesture Handling', 'anemos' ),
						'subtitle'=> esc_html__( 'Control how the API handles gestures on the map. For mobile web in particular, users may swipe the touchscreen, intending to scroll the page, but change the scale of the map instead.', 'anemos' ),
						'options' => array(
							'greedy' => esc_html__( 'Greedy', 'anemos' ),
							'cooperative' => esc_html__( 'Cooperative', 'anemos' ),
							'none' => esc_html__( 'None', 'anemos' ),
							'auto' => esc_html__( 'Auto', 'anemos' ),
						),
						'default' => 'auto',
						'required' => array( 'map_api_mode', 'equals', 'google-maps' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-error',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( '404 Page', 'anemos'),
				'id' => 'eut_redux_section_404',
				'subtitle' => esc_html__( 'You can find the settings for the 404 page here.', 'anemos' ),
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id' => 'page_404_content',
						'type' => 'editor',
						'args' => $editor_args,
						'title' => esc_html__( 'Page 404 Content', 'anemos' ),
						'subtitle' => esc_html__( 'Type the content of your 404 page, you can also use shortcodes.', 'anemos' ),
						'default' => '<h3><em>404 ERROR</em></h3><h1>Hey there mate!</h1><h2>Your lost treasure is not found here...</h2><p class="eut-leader-text">Sorry! The page you are looking for wasn\'t found!</p>',
					),
					array(
						'id' => 'page_404_search',
						'type' => 'checkbox',
						'title' => esc_html__( 'Show Search Box', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show a search box.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id' => 'page_404_home_button',
						'type' => 'checkbox',
						'title' => esc_html__( 'Show Back to home Button', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show a back to home button.', 'anemos' ),
						'default' => 1,
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Miscellaneous', 'anemos' ),
				'id' => 'eut_redux_section_miscellaneous',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'       => 'feature_section_post_types',
						'type'     => 'select',
						'multi'    => true,
						'title'    => esc_html__( 'Feature Section Post Types', 'anemos' ),
						'subtitle' => esc_html__( 'Select the post types you wish to enable the Feature Section.', 'anemos' ),
						'options' => $anemos_eutf_feature_section_post_types_selection,
						'default' => array( 'page' ),
					),
					array(
						'id'=>'wp_gallery_popup',
						'type' => 'switch',
						'title' => esc_html__( 'Lightbox for WordPress Gallery', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle lightbox for native WordPress Gallery on or off.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__('On', 'anemos' ),
						'off' => esc_html__('Off', 'anemos' ),
					),
					array(
						'id'=>'logo_as_text_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Logo as text', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle logo as text on or off. When on, all logo images will be replaced with site name.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__('On', 'anemos' ),
						'off' => esc_html__('Off', 'anemos' ),
					),
					array(
						'id' => 'retina_support',
						'type' => 'select',
						'title' => esc_html__( 'Retina Support', 'anemos' ),
						'subtitle' => esc_html__( 'Select the retina suppport of your site.', 'anemos' ),
						'options' => $anemos_eutf_retina_support_selection,
						'default' => 'default',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'menu_header_integration',
						'type' => 'select',
						'title' => esc_html__( 'Main Menu Integration', 'anemos' ),
						'subtitle' => esc_html__( 'Select the main menu integration method. Selection available for custom menu integration.', 'anemos' ),
						'options' => $anemos_eutf_header_menu_selection,
						'default' => 'default',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'sidebar_heading_tag',
						'type' => 'select',
						'title' => esc_html__( 'Sidebar Headings Tag', 'anemos' ),
						'subtitle' => esc_html__( 'Select the headings tag for your Sidebar Titles.', 'anemos' ),
						'options' => $anemos_eutf_headings_tag_selection,
						'default' => 'div',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'footer_heading_tag',
						'type' => 'select',
						'title' => esc_html__( 'Footer Sidebar Headings Tag', 'anemos' ),
						'subtitle' => esc_html__( 'Select the headings tag for your Footer Sidebar Titles.', 'anemos' ),
						'options' => $anemos_eutf_headings_tag_selection,
						'default' => 'div',
						'validate' => 'not_empty',
					),
					array(
						'id' => 'disable_seo_page_analysis',
						'type' => 'checkbox',
						'title' => esc_html__( 'Disable WordPress SEO Page Analysis', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to disable WordPress SEO page analysis.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id' => 'responsive_sidearea_button_visibility',
						'type' => 'select',
						'title' => esc_html__( 'Responsive Sliding Area Button Visibility', 'anemos' ),
						'subtitle' => esc_html__( 'Enable/Disable the Sliding Area Button on devices.', 'anemos' ),
						'options' => $anemos_eutf_enable_selection,
						'default' => 'yes',
					),
					array(
						'id' => 'spinner_image',
						'url' => true,
						'type' => 'media',
						'title' => esc_html__( 'Spinner Image', 'anemos' ),
						'subtitle' => esc_html__( 'Upload a custom image if you want to replace the default graphic spinner.', 'anemos' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Page Builder Addons', 'anemos' ),
				'desc' => esc_html__( 'Enable/Disable default Page Builder functionality.', 'anemos' ),
				'id' => 'eut_redux_section_page_builder',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'vc_grid_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Page Builder Grid Elements', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle Page Builder Grid elements on or off.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__('On', 'anemos' ),
						'off' => esc_html__('Off', 'anemos' ),
					),
					array(
						'id'=>'vc_charts_visibility',
						'type' => 'switch',
						'title' => esc_html__( 'Page Builder Charts Elements', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle Page Builder Charts elements on or off.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__('On', 'anemos' ),
						'off' => esc_html__('Off', 'anemos' ),
					),
					array(
						'id'=>'vc_auto_updater',
						'type' => 'switch',
						'title' => esc_html__( 'Page Builder Auto Updater', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable/Disable Page Builder Auto Updater ( Activation Required ).', 'anemos' ),
						"default" => '0',
						'on' => esc_html__('On', 'anemos' ),
						'off' => esc_html__('Off', 'anemos' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Login Settings', 'anemos' ),
				'desc' => esc_html__( 'Configure your login functionality.', 'anemos' ),
				'id' => 'eut_redux_section_login',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'login_mode',
						'type' => 'select',
						'title' => esc_html__( 'Login Mode', 'anemos' ),
						'subtitle' => esc_html__( 'Select your login mode, modal or a custom link.', 'anemos' ),
						'options' => array(
							'modal' => esc_html__( 'Ajax Modal', 'anemos' ),
							'custom-link' => esc_html__( 'Custom Link', 'anemos' ),
						),
						'default' => 'modal',
					),
					array(
						'id'=>'login_custom_link_url',
						'type' => 'text',
						'title' => esc_html__( 'Login Custom Link URL', 'anemos' ),
						'subtitle'=> esc_html__( 'Define a custom URL link for your login page.', 'anemos' ),
						"default" => '',
						'required' => array( 'login_mode', 'equals', 'custom-link' ),
					),
					array(
						'id'=>'login_redirect_url',
						'type' => 'text',
						'title' => esc_html__( 'Login Redirect URL', 'anemos' ),
						'subtitle'=> esc_html__( 'Define a redirect URL for your login page. If empty current page will be used instead.', 'anemos' ),
						"default" => '',
						'required' => array( 'login_mode', 'equals', 'modal' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Button Settings', 'anemos' ),
				'desc' => esc_html__( 'Set the style for the buttons.', 'anemos' ),
				'id' => 'eut_redux_section_buttons',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'button_type',
						'type' => 'select',
						'title' => esc_html__( 'Button Type', 'anemos' ),
						'subtitle' => esc_html__( 'Select the type of your Buttons.', 'anemos' ),
						'options' => $anemos_eutf_button_type_selection,
						'default' => 'simple',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'button_shape',
						'type' => 'select',
						'title' => esc_html__( 'Button Shape', 'anemos' ),
						'subtitle' => esc_html__( 'Select the shape of your Buttons.', 'anemos' ),
						'options' => $anemos_eutf_button_shape_selection,
						'default' => 'extra-round',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'button_color',
						'type' => 'select',
						'title' => esc_html__( 'Button Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of your Buttons.', 'anemos' ),
						'options' => $anemos_eutf_button_color_selection,
						'default' => 'primary-1',
						'validate' => 'not_empty',
					),
					array(
						'id'=>'button_hover_color',
						'type' => 'select',
						'title' => esc_html__( 'Button Hover Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the hover color of your Buttons.', 'anemos' ),
						'options' => $anemos_eutf_button_color_selection,
						'default' => 'black',
						'validate' => 'not_empty',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Back To Top', 'anemos' ),
				'desc' => esc_html__( 'Set the style for the back to top button.', 'anemos' ),
				'id' => 'eut_redux_section_back_top_top',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'back_to_top_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Back to Top', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable the Back to Top button.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'back_to_top_color',
						'type' => 'select',
						'title' => esc_html__( 'Back to Top Icon Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of Back to Top icon.', 'anemos' ),
						'options' => $anemos_eutf_button_color_selection,
						'default' => 'grey',
						'validate' => 'not_empty',
						'required' => array( 'back_to_top_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'back_to_top_shape',
						'type' => 'select',
						'title' => esc_html__( 'Back to Top Shape', 'anemos' ),
						'subtitle' => esc_html__( 'Select the shape of Back to Top button.', 'anemos' ),
						'options' => array(
							'none' => esc_html__( 'No Shape', 'anemos' ),
							'square' => esc_html__( 'Square', 'anemos' ),
							'round' => esc_html__( 'Round', 'anemos' ),
							'circle' => esc_html__( 'Circle', 'anemos' ),
						),
						'default' => 'none',
						'validate' => 'not_empty',
						'required' => array( 'back_to_top_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'back_to_top_bg_color',
						'type' => 'select',
						'title' => esc_html__( 'Back to Top Shape Color', 'anemos' ),
						'subtitle' => esc_html__( 'Select the color of Back to Top shape.', 'anemos' ),
						'options' => $anemos_eutf_button_color_selection,
						'default' => 'primary-1',
						'validate' => 'not_empty',
						'required' => array(
							array( 'back_to_top_enabled', 'equals', '1' ),
							array( 'back_to_top_shape', '!=', 'none' ),
						),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cog',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Meta Tags', 'anemos' ),
				'desc' => esc_html__( 'Configure your site meta tags.', 'anemos' ),
				'id' => 'eut_redux_section_meta_tags',
				'submenu' => true,
				'customizer' => false,
				'subsection' => true,
				'fields' => array(
					array(
						'id'=>'meta_viewport_responsive',
						'type' => 'switch',
						'title' => esc_html__( 'Responsive Viewport Meta', 'anemos' ),
						'subtitle'=> esc_html__( 'Enable or Disable Responsive Viewport.', 'anemos' ),
						"default" => '1',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'meta_opengraph',
						'type' => 'switch',
						'title' => esc_html__( 'Open Graph Meta', 'anemos' ),
						'subtitle'=> esc_html__( 'Generate open graph meta tags for social sharing ( e.g: Facebook, Google+, LinkedIn etc )', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'meta_twitter',
						'type' => 'switch',
						'title' => esc_html__( 'Twitter Card Meta', 'anemos' ),
						'subtitle'=> esc_html__( 'Generate meta tags for Twitter', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-wrench',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Coming Soon', 'anemos' ),
				'id' => 'eut_redux_section_coming_soon',
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'=>'coming_soon_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Enable Coming Soon', 'anemos' ),
						'subtitle'=> esc_html__( 'Toggle Coming Soon Redirect on or off.', 'anemos' ),
						"default" => '0',
						'on' => esc_html__( 'On', 'anemos' ),
						'off' => esc_html__( 'Off', 'anemos' ),
					),
					array(
						'id'=>'coming_soon_template',
						'type' => 'select',
						'title' => esc_html__( 'Coming Soon Template', 'anemos' ),
						'subtitle' => esc_html__( 'Select content only or use the defined page template.', 'anemos' ),
						'options' => array(
							'content' => esc_html__( 'Content Only', 'anemos' ),
							'template' => esc_html__( 'Use Page Template', 'anemos' ),
						),
						'default' => 'content',
						'validate' => 'not_empty',
						'required' => array( 'coming_soon_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'coming_soon_page',
						'type' => 'select',
						'title' => esc_html__( 'Coming Soon Page', 'anemos' ),
						'subtitle' => esc_html__( 'Select the page for your redirection.', 'anemos' ),
						'data' => 'page',
						'default' => '',
						'required' => array( 'coming_soon_enabled', 'equals', '1' ),
					),

				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-resize-small',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Media Sizes', 'anemos' ),
				'desc' => esc_html__( 'These settings affect the display and dimensions of images in the Theme. After changing these settings you may need to', 'anemos' ) . " "  . $regenerate_link . ".",
				'submenu' => true,
				'customizer' => false,
				'fields' => array(
					array(
						'id'       => 'size_large_landscape_wide',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Landscape Wide Large', 'anemos'),
						'subtitle'=> esc_html__( 'Default 1170x658 - 16:9 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '1170',
							'height'  => '658'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_small_landscape_wide',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Landscape Wide', 'anemos'),
						'subtitle'=> esc_html__( 'Default 800x450 - 16:9 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '800',
							'height'  => '450'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_small_landscape',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Landscape', 'anemos'),
						'subtitle'=> esc_html__( 'Default 800x600 - 4:3 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '800',
							'height'  => '600'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_small_portrait',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Portrait', 'anemos'),
						'subtitle'=> esc_html__( 'Default 600x800 - 3:4 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '600',
							'height'  => '800'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_small_square',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Square', 'anemos'),
						'subtitle'=> esc_html__( 'Default 600x600 - 1:1 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '600',
							'height'  => '600'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_medium_portrait',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Portrait Large', 'anemos'),
						'subtitle'=> esc_html__( 'Default 560x1120 - 1:2 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '560',
							'height'  => '1120'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_medium_square',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Square Large', 'anemos'),
						'subtitle'=> esc_html__( 'Default 1120x1120 - 1:1 ratio (Cropped)', 'anemos' ),
						'default'  => array(
							'width'   => '1120',
							'height'  => '1120'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
					array(
						'id'       => 'size_fullscreen',
						'type'     => 'dimensions',
						'units'    => false,
						'title'    => __('Fullscreen', 'anemos'),
						'subtitle'=> esc_html__( 'Default 1920x1920 (Resize)', 'anemos' ),
						'default'  => array(
							'width'   => '1920',
							'height'  => '1920'
						),
						'validate_callback' => 'anemos_eutf_redux_dimensions_validation',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-lock',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Privacy / Cookies', 'anemos' ),
				'desc' => esc_html__( 'The following shortcodes will allow your users to change certain behavior of your website regarding privacy.', 'anemos' ) . '<br>' .
					'<ul>' .
					'<li><strong>anemos_privacy_required</strong> - ' . esc_html__( 'displays a required content for your site e.g: Cloudlflare, CDN etc.', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_gtracking</strong> - ' . esc_html__( 'allows a user to enable/disable Google Analytics tracking code in the user\'s browser', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_gfonts</strong> - ' . esc_html__( 'allows a user to enable/disable the use of Google Fonts in the user\'s browser', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_gmaps</strong> - ' . esc_html__( 'allows a user to enable/disable the use of Google Maps in the user\'s browser', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_video_embeds</strong> - ' . esc_html__( 'allows a user to enable/disable video embeds in the user\'s browser', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_policy_page_link</strong> - ' . esc_html__( 'displays a link to the privacy policy page set from the WordPress admin panel', 'anemos' ) . '</li>' .
					'<li><strong>anemos_privacy_preferences_link</strong> - ' . esc_html__( 'displays a link to the privacy preferences as defined in the Privacy Consent Info Bar', 'anemos' ) . '</li>' .
					'</ul>' .
					esc_html__( 'You can use any of them in your privacy policy or in any text area that allows shortcodes.', 'anemos' ) . '<br><br>' .
					'<strong>[anemos_privacy_required value="required"]For performance and security reasons we use Cloudflare[/anemos_privacy_required]</strong><br>' .
					'<strong>[anemos_privacy_gtracking]</strong><br>' .
					'<strong>[anemos_privacy_gfonts]</strong><br>' .
					'<strong>[anemos_privacy_gmaps]</strong><br>' .
					'<strong>[anemos_privacy_video_embeds]</strong><br>' .
					'<strong>[anemos_privacy_policy_page_link]</strong><br>' .
					'<strong>[anemos_privacy_preferences_link]</strong><br><br>' .
					esc_html__( 'Note: To change the default text add your text inside the shortcode tags [shortcode]Your text[/shortcode]', 'anemos' ),
				'id' => 'eut_redux_section_privacy_cookies',
				'submenu' => true,
				'customizer' => false,
				'class' => 'eut-redux-desc-full',
				'fields' => array(
					array(
						'id'   => 'info_style_blocking_content',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Privacy Content Blocking Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Configure the privacy content blocking settings.', 'anemos' ) . '<br>' . esc_html__( 'Note: The usage of the Blocking content feature is not recommended if you have added caching plugins or page rules to cache static HTML content (aggressive cache). If you use this feature you might need to disable such type of caching.', 'anemos' ),
					),
					array(
						'id' => 'privacy_content_blocking_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Privacy Content Blocking', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to enable/disable privacy content blocking.', 'anemos' ) .'<br><br>' . esc_html__( 'Note: if you disable content blocking certain privacy shortcodes will be automatically disabled.', 'anemos' ),
						'default' => 1,
					),
					array(
						'id'      => 'privacy_initial_state',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Privacy Initial Blocking State', 'anemos' ),
						'subtitle'    => esc_html__( 'Check if you want to block the content when the page loads.', 'anemos' ),
						'options'  => array(
							'gtracking'     => 'Google Tracking',
							'gfonts' => 'Google Fonts',
							'gmaps' => 'Google Maps',
							'video-embeds'   => 'Embed Videos'
						),
						'default' => array(
							'gtracking'     => '0',
							'gfonts' => '0',
							'gmaps' => '0',
							'video-embeds'   => '0'
						),
						'required' => array( 'privacy_content_blocking_enabled', 'equals', '1' ),
					),
					array(
						'id'   => 'info_style_fallback_content',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Privacy Fallback Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Configure the privacy fallback info box.', 'anemos' ),
						'required' => array( 'privacy_content_blocking_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'privacy_fallback_content',
						'type' => 'textarea',
						'rows' => '2',
						'title' => esc_html__( 'Privacy Fallback Content', 'anemos' ),
						'subtitle' => esc_html__( 'Type the fallback text when the content is blocked.', 'anemos' ),
						'default' => 'This content is blocked. Please review your Privacy Preferences.',
						'required' => array( 'privacy_content_blocking_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'privacy_fallback_preferences_link_visibility',
						'type'     => 'checkbox',
						'title'    => esc_html__('Display Privacy Preferences link', 'anemos'),
						'subtitle' => esc_html__('Select if you want to display the Privacy Preferences link ( if defined in the privacy consent bar ).', 'anemos'),
						'default'  => '1',
						'required' => array( 'privacy_content_blocking_enabled', 'equals', '1' ),
					),
					array(
						'id'       => 'privacy_fallback_content_link_visibility',
						'type'     => 'checkbox',
						'title'    => esc_html__('Display redirect link of the blocked content', 'anemos'),
						'subtitle' => esc_html__('Select if you want to display a redirect link of the blocked content ( blocked content will open in a new tab e.g: YouTube website ).', 'anemos'),
						'default'  => '1',
						'required' => array( 'privacy_content_blocking_enabled', 'equals', '1' ),
					),
					array(
						'id'   => 'info_style_consent_bar',
						'type' => 'info',
						'class' => 'eut-redux-sub-info',
						'title' => esc_html__( 'Privacy Consent Info Bar Settings', 'anemos' ),
						'subtitle'=> esc_html__( 'Configure the consent info bar.', 'anemos' ),
					),
					array(
						'id' => 'privacy_consent_bar_enabled',
						'type' => 'switch',
						'title' => esc_html__( 'Privacy Consent Info Bar', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to show a privacy consent info bar.', 'anemos' ),
						'default' => 0,
					),
					array(
						'id' => 'privacy_consent_bar_position',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Privacy Consent Info Bar Position', 'anemos' ),
						'subtitle' => esc_html__( 'Select the position for Privacy Consent Info Bar', 'anemos' ),
						'options' => array(
							'center' => esc_html__( 'Center', 'anemos' ),
							'left' => esc_html__( 'Left', 'anemos' ),
							'right' => esc_html__( 'Right', 'anemos' ),
						),
						'default' => 'center',
						'required' => array( 'privacy_consent_bar_enabled', 'equals', '1' ),
					),
					array(
						'id' => 'privacy_consent_bar_content',
						'type' => 'textarea',
						'rows' => '2',
						'title' => esc_html__( 'Privacy Info Bar Content', 'anemos' ),
						'subtitle' => esc_html__( 'Type the content of your consent info bar.', 'anemos' ),
						'default' => 'Our website uses cookies, mainly from 3rd party services. Define your Privacy Preferences and/or agree to our use of cookies.',
						'required' => array( 'privacy_consent_bar_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'privacy_agreement_button_label',
						'type' => 'text',
						'title' => esc_html__( 'Privacy Agreement Button Label', 'anemos' ),
						'subtitle'=> esc_html__( 'Define the label for your privacy agreement button. Leave empty to remove.', 'anemos' ),
						'required' => array( 'privacy_consent_bar_enabled', 'equals', '1' ),
						"default" => 'I Agree',
					),
					array(
						'id'=>'privacy_preferences_button_label',
						'type' => 'text',
						'title' => esc_html__( 'Privacy Preferences Button Label', 'anemos' ),
						'subtitle'=> esc_html__( 'Define the label for your privacy preferences button. Leave empty to remove.', 'anemos' ),
						'required' => array( 'privacy_consent_bar_enabled', 'equals', '1' ),
						"default" => 'Privacy Preferences',
					),
					array(
						'id' => 'privacy_preferences_button_link',
						'type' => 'select',
						'compiler' => true,
						'title' => esc_html__( 'Privacy Preferences Button Link Mode', 'anemos' ),
						'subtitle' => esc_html__( 'Select the preferences button link mode: modal, privacy policy page or custom url.', 'anemos' ),
						'options' => array(
							'modal' => esc_html__( 'Modal', 'anemos' ),
							'privacy_page' => esc_html__( 'Privacy Policy Page', 'anemos' ),
							'custom_url' => esc_html__( 'Custom URL', 'anemos' ),
						),
						'default' => 'modal',
						'validate' => 'not_empty',
						'required' => array( 'privacy_consent_bar_enabled', 'equals', '1' ),
					),
					array(
						'id'=>'privacy_preferences_link_url',
						'type' => 'text',
						'title' => esc_html__( 'Privacy Preferences Custom Link URL', 'anemos' ),
						'subtitle'=> esc_html__( 'Define a custom URL link for your privacy preferences button.', 'anemos' ),
						'required' => array(
							array( 'privacy_consent_bar_enabled', 'equals', '1' ),
							array( 'privacy_preferences_button_link', 'equals', 'custom_url' ),
						),
						"default" => '',
					),
					array(
						'id'=>'privacy_preferences_link_target',
						'type' => 'select',
						'title' => esc_html__( 'Privacy Preferences Custom Link Target', 'anemos' ),
						'subtitle'=> esc_html__( 'Define the target for your custom url, same or new page.', 'anemos' ),
						'options' => array(
							'_self' => esc_html__( 'Same Page', 'anemos' ),
							'_blank' => esc_html__( 'New page', 'anemos' ),
						),
						'required' => array(
							array( 'privacy_consent_bar_enabled', 'equals', '1' ),
							array( 'privacy_preferences_button_link', 'equals', 'custom_url' ),
						),
						"default" => '_self',
					),
					array(
						'id' => 'privacy_consent_modal_content',
						'type' => 'editor',
						'args' => $editor_args,
						'title' => esc_html__( 'Privacy Modal Content', 'anemos' ),
						'subtitle' => esc_html__( 'Type the content of your modal consent dialog.', 'anemos' ),
						'default' => '<h5>Privacy Preferences</h5><p>When you visit our website, it may store information through your browser from specific services, usually in the form of cookies. Here you can change your Privacy preferences. It is worth noting that blocking some types of cookies may impact your experience on our website and the services we are able to offer.</p><div>[anemos_privacy_gtracking][anemos_privacy_gfonts][anemos_privacy_gmaps][anemos_privacy_video_embeds]</div>',
						'required' => array(
							array( 'privacy_consent_bar_enabled', 'equals', '1' ),
							array( 'privacy_preferences_button_link', 'equals', 'modal' ),
						),
					),
					array(
						'id'=>'privacy_refresh_button_label',
						'type' => 'text',
						'title' => esc_html__( 'Privacy Refresh Button Label', 'anemos' ),
						'subtitle'=> esc_html__( 'Define the label for your privacy refresh button. Leave empty to remove.', 'anemos' ),
						'required' => array(
							array( 'privacy_consent_bar_enabled', 'equals', '1' ),
							array( 'privacy_preferences_button_link', 'equals', 'modal' ),
						),
						"default" => 'Save Preferences',
					),
				)
			);

			$this->sections[] = array(
				'icon' => 'el-icon-cloud',
				'icon_class' => 'el-icon-cog',
				'title' => esc_html__( 'Utilities', 'anemos' ),
				'id' => 'eut_redux_section_utilities',
				'submenu' => true,
				'customizer' => false,
				'fields' => array()
			);
			$this->sections[] = array(
				'icon' => 'el-icon-cogs',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Theme Performance', 'anemos' ),
				'id' => 'eut_redux_section_advanced',
				'submenu' => true,
				'subsection' => true,
				'customizer' => false,
				'fields' => array(
 					array(
						'id'=>'combine_js',
						'type' => 'select',
						'title' => esc_html__( 'Combine/Compress Theme Scripts', 'anemos' ),
						'subtitle'=> esc_html__( 'Select if you want to combine/compress theme scripts.', 'anemos' ),
						'options' => array(
							'1' => esc_html__( 'Partial merge/compression of theme javascript files', 'anemos' ),
							'0' => esc_html__( 'No merge/compression of theme javascript files', 'anemos' ),
						),
						"default" => '1',
					),
				)
			);

			if ( class_exists( 'Envato_Market' ) ) {
				$envato_market_link = 'admin.php?page=envato-market';
			} else {
				$envato_market_link = 'admin.php?page=anemos-tgmpa-install-plugins';
			}
			$update_message = esc_html__( "Envato official solution is recommended for theme updates using the new Envato Market API.", 'anemos' ) .
					"<br/>" . esc_html__( "You can now update the theme using the", 'anemos' ) . " " . "<a href='" . esc_url( admin_url() . $envato_market_link ) . "'>" . esc_html__( "Envato Market", 'anemos' ) . "</a>" . " ". esc_html__( "plugin", 'anemos' ) . "." .
					" " . esc_html__( "For more information read the related article in our", 'anemos' ) . " " . "<a href='//docs.euthemians.com/tutorials/envato-market-wordpress-plugin-for-theme-updates/' target='_blank'>" . esc_html__( "documentation", 'anemos' ) . "</a>.";
			$this->sections[] = array(
				'icon' => 'el-icon-repeat',
				'icon_class' => 'el-icon-large',
				'title' => esc_html__( 'Theme Update', 'anemos' ),
				'id' => 'eut_redux_section_theme_update',
				'desc' => $update_message,
				'submenu' => true,
				'customizer' => false,
				'fields' => array()
			);

			//Show Sections available only in customizer
			if ( ( defined( 'ANEMOS_EUTF_THEME_REDUX_CUSTOM_PANEL' ) &&  true === ANEMOS_EUTF_THEME_REDUX_CUSTOM_PANEL ) || $this->anemos_eutf_redux_customizer_visibility() ) {
				foreach ( $this->sections as $k => $section ) {
					if ( isset( $section['eut_colors'] ) && isset( $section['panel'] ) ) {
						unset($this->sections[$k]['panel']);
					}
				}
			}
			
			foreach ( $this->sections as $k => $section ) {
				Redux::set_section( $opt_name, $section );
			}			

		}


		public function setArguments( $opt_name ) {

			$theme = wp_get_theme();
			$theme_version = $theme->get('Version');
			if( is_child_theme() ) {
				$parent_theme = wp_get_theme( get_template() );
				$theme_version .= ' ( ' . $parent_theme->get('Name') .': ' . $parent_theme->get('Version') . ' )';
			}

			$this->args = array(
				'opt_name' => $opt_name, // This is where your data is stored in the database and also becomes your global variable name.
				'display_name' => ' ', // Name that appears at the top of your panel
				'display_version' => $theme_version, // Version that appears at the top of your panel
				'menu_type' => 'submenu', //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
				'allow_sub_menu' => false, // Show the sections below the admin menu item or not
				'menu_title' => esc_html__( 'Theme Options', 'anemos' ),
				'page_title' => esc_html__( 'Theme Options', 'anemos' ),
				'disable_google_fonts_link' => false,
				'admin_bar' => false, // Show the panel pages on the admin bar
				'admin_bar_icon'            => 'dashicons-portfolio',
				'admin_bar_priority'        => 50,
				'global_variable' => $opt_name,
				'dev_mode' => false,
				'customizer' => true,
				'ajax_save' => true,
				'ajax_max_input' => true,
				'templates_path' => get_template_directory() . '/includes/admin/templates/panel', //Redux Template files

				// OPTIONAL -> Give you extra features
				'page_priority' => null, // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
				'page_parent' => 'themes.php', // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
				'page_permissions' => 'manage_options', // Permissions needed to access the options panel.
				'menu_icon' => get_template_directory_uri() .'/includes/assets/images/adminmenu/theme.svg', // Specify a custom URL to an icon
				'last_tab' => '', // Force your panel to always open to a specific tab (by id)
				'page_icon' => 'icon-themes', // Icon displayed in the admin panel next to your menu_title
				'page_slug' => $opt_name, // Page slug used to denote the panel
				'save_defaults' => true, // On load save the defaults to DB before user clicks save or not
				'default_show' => false, // If true, shows the default value next to each field that is not the default value.
				'default_mark' => '', // What to print by the field's title if the value shown is default. Suggested: *
				'show_import_export'        => true,


				// CAREFUL -> These options are for advanced use only
				'transient_time' => 60 * MINUTE_IN_SECONDS,
				'output_location' => array( 'frontend', 'admin' ),
				'use_cdn' => false,
				'compiler'                  => true,
				'flyout_submenus'           => false,
				'font_display'              => 'swap',

				'output' => true, // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
				'output_tag' => true, // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head

				// FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
				'database' => '', // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
				'show_import_export' => true,
				'disable_tracking' => true,
				'allow_tracking' => false,
				'help_tabs' => array(),
				'help_sidebar' => '',

				'search' => false,
			);

			// Panel Intro text -> before the form
			$this->args['intro_text'] ='';

			// Add content after the form.
			$this->args['footer_text'] = '';
			$this->args['footer_credit'] = ' ';

		}

	}

	global $anemos_eutf_redux_framework;
	$anemos_eutf_redux_framework = new Anemos_EUTF_Redux_Framework_config();
}

//Omit closing PHP tag to avoid accidental whitespace output errors.
